Windows 2000 Opening Page

Microsoft Windows 2000 Professional logo
Getting Started
Online Book
New to Windows?
Internet and Web Basics
Frequently Asked Questions
Search Tips
Printing This Book
© 1985-1999 Microsoft Corporation.
All rights reserved.


Preface

Getting Started introduces you to Microsoft Windows 2000 Professional and helps you get the operating system up and running right away. In addition to learning how to install Windows 2000, you learn how to use the desktop, and you find out about new features. This book also presents information about advanced issues, such as connecting to a network, and answers to commonly asked questions.

Topics

How to Use Getting Started

Conventions

If Windows Looks or Acts Differently


How to Use Getting Started

Whether you're already familiar with or new to an operating system such as Windows 2000, you can find useful information in the Getting Started book. You can navigate through this book in several ways: by completing the chapter sequentially by clicking Next Topic (the open book icon) at the top of each page, by using the chapter-opening outlines to find the topics you want, or by looking up terms in the index so you can go directly to the information you want.

The following table is a guide to using this book.

If you are | Read
New to computers | Ch. 4, Windows Basics App. A, Accessibility
New to Windows 2000 | Ch. 1, Welcome Ch. 2, Setup Ch. 3, Advanced Setup Ch. 4, Windows Basics App. A, Accessibility
Installing Windows 2000 | Ch. 2, Setup Ch. 3, Advanced Setup
New to the Internet | Ch. 4, Windows Basics
Customizing the desktop | Ch. 4, Windows Basics App. A, Accessibility
Configuring hardware | Ch. 5, Advanced Topics
Troubleshooting Stop errors | App. B, Troubleshooting Stop Errors


Conventions

In Windows 2000, there are usually several ways to perform a task. For example, if you want to copy a file, you can:

  • Click the Copy command on the Edit menu.
  • Click the Copy To toolbar button.
  • Click and drag the file by using the right mouse button.

For simplicity and consistency, this book describes the menu method of performing tasks.

The following table shows conventions used in this book.

Convention | Meaning
Bold | In procedures, indicates text that you type or the name of a screen object (such as a menu or button).
Italic | Indicates a definition of a term.
Double-click | Refers to quickly clicking the primary mouse button (usually the left mouse button) twice. If you're using the single-click option, you should click only once when a procedure tells you to double-click.
Right-click | Refers to clicking the secondary mouse button (usually the right mouse button) once. Right-clicking opens a shortcut menu.


If Windows Looks or Acts Differently

Because Windows 2000 is customizable, your copy may vary slightly from illustrations in this book. You may also notice slight differences in how Windows 2000 responds—for example, whether you single-click or double-click to perform tasks.


Welcome

Welcome to Microsoft Windows 2000 Professional, the premier desktop operating system for businesses and organizations. Windows 2000 provides faster performance, greater reliability, improved security, and a more manageable desktop. With its broader support for hardware and applications, Windows 2000 is the best platform for running the latest software and hardware.

Topics

Windows 2000 Professional at a Glance

Where to Find Information

If You're New to Windows

If You've Used Windows Before

Introducing Windows 2000 Professional


Windows 2000 Professional at a Glance

Windows 2000 is the most manageable, reliable, and secure version of Windows ever. Improved hardware support and increased software compatibility make using Windows 2000 even easier. And enhancements to networking, printing, and storage help you find resources more quickly and work more efficiently.

Easiest Windows Yet

Desktop and window enhancements make Windows 2000 easy to use. You can customize menus and toolbars to tailor Windows 2000 to your needs. Microsoft Windows Explorer displays more information about files and folders, including thumbnail views and encryption information. Using the enhanced search capabilities, you can browse and see search results in the same window. In My Documents and My Pictures folders you have a convenient place to back up and store all of your work.

And Microsoft Internet Explorer gives you the best Internet experience and latest Web browsing features. For example, the AutoComplete feature finishes typing Internet addresses and previously-viewed files for you. The AutoDetect feature detects and configures a proxy server for your connection.

Windows 2000 includes hundreds of new printer, modem, and other hardware drivers, making hardware installation and setup easy and efficient. New wizards make configuring hardware simple. The Add/Remove Hardware wizard automatically detects and configures new devices. The Add Printer wizard helps you change printer settings from within applications. And Windows 2000 includes improved printing support—Internet printing, Image Color Management 2.0, and new font technologies.

Windows 2000 Professional is the best operating system for mobile users. The Network Connection wizard simplifies setting up network and dial-up connections. You can take network-based files and folders offline, making them available when you aren't connected to the network. Likewise, you can save Web pages for offline browsing. And Synchronization Manager ensures that offline and network versions of a file are up-to-date.

Building on the Traditional Strengths of Windows NT

Windows 2000 significantly expands the existing capabilities of Windows NT, providing a more stable and responsive computing experience. The new Encrypting File System ensures that information is completely private and secure, even for users who share a computer. You can now more easily create a virtual private network to securely connect computers over the Internet. Windows 2000 supports the following scalable security technologies: Kerberos V5 protocol, smart card, public key cryptography, and Internet Protocol security (IPSec). You need only log on once to use all Windows 2000 Server network resources.

With the latest installation technology, you can install, customize, and remove programs more reliably. Windows Installer helps prevent system file conflicts, repairs incomplete installations, updates out-of-date components, and removes all traces of a program, including registry entries.

For more efficient disk space allocation, Windows 2000 now supports the file allocation table (FAT) 32 file system. The NTFS file system includes many performance enhancements and new features such as per-user disk quotas and file encryption.

Information travels faster with improved TCP/IP stack performance, reducing network traffic. Files built with dynamic Hypertext Markup Language (DHTML) load more quickly. You can accommodate the latest transmission technologies, including cable modems, through support for asynchronous transfer mode technology.

Best of Windows 98

Windows 2000 contains key Windows 98 features, such as Advanced Configuration and Power Interface power management, the DirectX technologies, and Web integration. It's as easy to install and use state-of-the-art hardware with Windows 2000 as it was with Windows 98 because Windows 2000 also supports Plug and Play, IEEE 1394, DVD, and the universal serial bus (USB) standards. And as in Windows 98, in Windows 2000 you can use multiple monitors with a single computer to dramatically increase the size of your workspace.

Windows 2000 is compatible with more applications than ever before, continuing to support software for previous versions of Windows—as well as older hardware. To ensure that you're using the highest quality hardware drivers, the drivers are digitally signed by Microsoft after testing. Also, Windows 2000 is ideally suited to support the demands of new programs, including distributed programs written using Windows Distributed interNet Applications (Windows DNA) architecture.

Lower Total Cost of Ownership

Windows 2000 can reduce the total cost of ownership—the costs involved in administering personal computer networks—compared with that of other versions of Windows. Remote installation, a disk imaging tool, support for Windows 95 and Windows 98 upgrades, and the unattended Setup tools help administrators easily deploy Windows 2000, saving time and expense. With Windows Script Host, you can also automate tasks with language-independent scripts. And Microsoft Management Console (MMC) consolidates several administrative programs into a single interface you can use to manage and support local and remote computers.

The breakthrough IntelliMirror technology uses the power of Windows 2000 Server to make it easier for administrators to manage desktops remotely—each user's documents, system files, and administrative settings are stored on a server. Administrators are able to quickly duplicate a Windows 2000 installation from one computer to another.

Whether administering small businesses or large corporations, you can manage desktops centrally using Active Directory directory service and its Group Policy support in Windows 2000. Administrators can deploy software applications using group policies. Support for Windows Management Instrumentation, a program management tool, reduces the maintenance cost of event reporting and makes managing device drivers easier.

And you can keep Windows 2000 current by using the Windows Update Web site, an extension of Windows 2000. From this Web site, you can download system enhancements, such as drivers and service packs.

Multilanguage technology lets you view, print, and share documents from any localized language supported in Windows 2000. A single version of Windows 2000 Professional can be deployed globally while still allowing users to access information in their preferred language.


Where to Find Information

Whether you're new to Windows or upgrading from a previous version, the following resources can help you get the most out of your operating system.


Resources Included with Windows 2000

If you have a specific question about a feature or procedure or want general information, try the following resources, all of which are included with Windows 2000.


Windows 2000 Help

Windows 2000 Help is your principal source of information for learning how to use Windows 2000. Always available from the Start button, Help describes how to perform a wide variety of tasks—from setting up a printer to connecting to the Internet. Help also contains a glossary, keyboard shortcuts, troubleshooters, a version of this book, and links to Web-based resources.

To open Windows 2000 Help

  1. Click the Start button.
Start menu with Help selected
  2. On the Start menu, click Help.

    Windows 2000 Help appears. You can find topics listed on the Contents tab, look up words on the Index tab, search for text by using the Search tab, and bookmark useful topics using the Favorites tab.

You can also get information about a dialog box by clicking the question-mark button on the title bar and then clicking the dialog box area in question.


Readme Files

Readme files are supplemental documents containing late-breaking information that was unavailable when this book and Windows 2000 Help were written. The following readme documents are stored on your Windows 2000 CD.

File | Contains
Read1st.txt | Preinstallation notes vital to a successful installation and information about hardware conflicts and troubleshooting.
Readme.doc | Information that supplements the Windows 2000 documentation.


Troubleshooters

Having a problem? Windows 2000 includes a wide range of troubleshooters that help you solve many common computer problems. For instance, if you're having difficulty setting up a new printer, the Print troubleshooter can walk you through the process step by step.

To open troubleshooters in Windows 2000 Help

  1. Click the Start button, and then click Help.
  2. On the Contents tab, click Troubleshooting and Maintenance, and then click Use the interactive troubleshooters.


Additional Resources

The following Microsoft resources provide more information about Windows 2000.

Important

If you want to visit World Wide Web sites, your computer must be connected to the Internet.

For more information, see Connecting to the Internet in Chapter 4.


Microsoft Product Support Services Web Site

Use the Product Support Services Web site to find answers to technical questions about Windows 2000. You just type in your question, and this interactive site gathers the resources most likely to solve your problem, such as technical articles, troubleshooting wizards, and downloadable patches and drivers. You can connect to Product Support Services by clicking the Web Help button in Windows 2000 Help or by visiting the Microsoft Product Support Services Web site at:

Microsoft Product Support Services Web site


Windows Update Web Site

After you register your copy of Windows 2000, you can use Windows Update to keep your copy of Windows 2000 up-to-date. To download new system files, drivers, and so on, visit the Microsoft Windows Update Web site at:

Microsoft Windows Update Web site


Windows Update Web Site

getstart.lst

Software Compatibility Web Site

For the most recent information on compatible and certified programs for Windows 2000 Professional, visit the Microsoft Windows 2000 Professional Web site at:

Microsoft Windows 2000 Professional Web site


Hardware Compatibility List

For a list of hardware that's compatible with Windows 2000, you can view the Hardware Compatibility List (HCL) file (\Support\Hcl.txt) that's included on your Windows 2000 Professional CD. To see the most recent version of this list, visit the Microsoft Web site:

Microsoft Hardware Compatibility List Web site


Microsoft Press Books and Kits

Microsoft Press books and kits provide everything users, technicians, and network administrators need to get the most out of Microsoft products. Many Windows 2000 training resources are available through Microsoft Press.

For more information, visit the Microsoft Press Online Web site at:

Microsoft Press Online Web site


If You're New to Windows

If you're not familiar with Windows, it's easy to get started. The following illustration shows the desktop, the workspace that appears on your screen. You use your desktop for almost any task: opening programs, copying files, connecting to a network or the Internet, reading your e-mail, and so on. What you see on your desktop varies depending on how Windows 2000 is set up on your computer.

For more information, see What Is the Desktop? in Chapter 4.

Default Desktop

Note

If you're new to computers, you first need to know how to use a mouse. A mouse is the hand-held device that controls the pointer (usually an arrow) on the screen. You use the mouse to move the pointer over—and perform an action on—an item on your screen. The primary mouse button is usually the left button.

This book and Windows 2000 Help use the same terminology—click, double-click, right-click—to refer to actions you can perform using a mouse. Click means press the primary mouse button once, while double-click means rapidly press it twice. Right-click means press the secondary mouse button once.

Windows 2000 Help contains valuable tips and procedures to help you get started, whether you're new to computers or just new to Windows. If you're a novice, you should start by reading the topics included in "Introducing Windows 2000 Professional" in Help.

To open new user information in Help

  1. Click the Start button, and then click Help.
  2. On the Contents tab, click Introducing Windows 2000 Professional.
  3. Click Tips for new users.


If You've Used Windows Before

If you're already working in Windows, the transition to Windows 2000 Professional is smooth. If you upgrade from a previous version of Windows, you'll retain your system settings, preferences, and programs. You'll notice significant changes if you're upgrading from Windows NT 3.51. Program Manager is replaced by the desktop, and all of your programs and system tools are now available from the Start menu. You can now browse through your computer by using My Computer or Windows Explorer, and you can use the taskbar at the bottom of the desktop to easily switch between open windows.

If you're familiar with Windows 95, Windows 98, or Windows NT 4.0, you'll immediately notice that some familiar elements have changed. Window toolbars look and act differently, and access to the Web is integrated throughout the operating system. Desktop enhancements include toolbars located conveniently on the taskbar, and two new icons: My Network Places—which replaces Network Neighborhood—and My Documents. Windows 2000 also includes an improved Internet Explorer and a powerful e-mail program, Outlook Express.


Introducing Windows 2000 Professional

New features and enhanced support in Windows 2000 make it the easiest-to-use Windows operating system yet.

For more detailed information about any feature mentioned in this book, see Windows 2000 Help.


Easier-to-Use Desktop

Changes to the desktop, windows, and the Start menu make Windows 2000 even easier to learn and use.

  • Easy-to-use interface. Windows 2000 Professional refines the look and design of the desktop. Improved windows provide quicker access to information, whether it's on your computer, a network, or the Internet. Wizard improvements help you get through difficult tasks faster. Screen clutter is reduced since only your most frequently used items are displayed on the Start menu. Dialog box improvements help you save time by automatically completing words as you type them and by displaying your most recently used lists.
  • Customizable toolbars. Now you can add one or more customizable toolbars to the taskbar for single-click access to the Internet, your desktop, and your favorite programs. For example, you can use the Quick Launch toolbar to open an Internet Explorer window or read your e-mail. Tailor your work environment by adding, removing, or changing the order of buttons.
  • Show Desktop button. Switching between open windows and the desktop is easy with the new Show Desktop button, located on the taskbar.
  • My Documents and My Pictures folders. My Documents provides a convenient default storage location for personal files and folders. My Documents contains the My Pictures folder, a convenient place for you to store your photos, scanned images, faxes, and bitmaps.
  • Multilingual support. Regardless of which language version of Windows 2000 you install, you can write, edit, view, and print content in all supported languages. Windows 2000 detects and installs any necessary fonts or symbols to view multilingual information.
  • Accessibility tools. You can use the Accessibility Settings wizard to adapt Windows options to your specific needs and preferences. Magnifier enlarges a portion of the screen for easier viewing, which can be useful for people who have impaired vision. Narrator uses text-to-speech technology to read the contents of the screen. On-Screen Keyboard makes it possible for those with limited dexterity to type by using a pointing device (such as a mouse) or a single-switch input device.
Accessibility Screen Magnifier


Integration with the Web

Because the Internet is integrated into Windows 2000, you can browse through your computer as effortlessly as you browse through the Web.

  • Active Desktop. The Active Desktop is a customizable workspace on which you can display both Windows icons and HTML elements. You can also use Active Desktop to post company information such as announcements and meeting reminders.
  • Improved browsing capability. Windows 2000 includes Forward and Back toolbar buttons that you use to navigate folders, documents, and Web sites. Through a single interface, you can view local, network, intranet, and Internet resources. Using the single-click option, you can browse through files and folders by clicking once—similar to clicking links on the Web.
  • Offline browsing. You can simultaneously disconnect from the Internet and temporarily store the current Web page on your computer. Later, you can read the pages at your leisure, saving you connection time and expense.
  • Web pages as window backgrounds. You can use a Web page or other HTML document as a background in individual windows.
  • Address bar. You can get to the Internet—or any folder or drive—from any window, or even from the taskbar, by typing an address in the Address bar. As you start typing addresses, they're automatically completed for you so you can browse more quickly.
  • Offline viewing. By making a Web page available for offline viewing, you can schedule Windows 2000 to automatically download the page on a regular basis. This way, you can view the most current page offline at your leisure.
  • Streaming media and other advanced technology. You can experience the most advanced technology available on the Web with Windows Media Player, including live, "streaming" media and full support for ActiveX and other interactive content.


Streamlined Network Connections

Setting up your connections to other computers is simplified, which makes connecting to networks and the Internet even faster. Windows 2000 also supports the latest advancements in high-speed networking, infrared connections, and IP technology. Offline folders and synchronization ensure that you always have access to your current network files and folders.

  • Network Connection wizard. The Network Connection wizard guides you through the creation of dial-up connections, virtual private network connections, direct serial connections, and incoming connections.
  • Protocols and services for individual connections. Now you can set the necessary protocols and services for each individual connection. You gain greater control over your configurations, cleaner performance, and more streamlined setups.
  • Internet Connection wizard. The Internet Connection wizard guides you through setting up an Internet service provider connection and installing any necessary software.
  • My Network Places folder. You can use My Network Places to view recently visited network resources and create friendly names for network shares. A wizard helps you quickly map network drives and create shortcuts.
  • Offline files and folders. When you're disconnected from the network, you can still have access to network files, folders, and mapped network drives. Files are synchronized when you reconnect to the network. Using Synchronization Manager, you can make sure your offline files, including Web pages, are automatically updated when your network connection is re-established.


More Powerful Searching

You can easily look for the file or information you want, whether it's on your computer, on a network, or on the Internet.

  • Locate network resources. When you log on to a network running Active Directory, you can quickly find the network resources that you use.
  • Search for people. Using the Find People feature, you can search both your local Windows Address Book and Web-based directory services—such as Yahoo!, WhoWhere, and Bigfoot—for a person's address information.
  • Find content on the Internet. By clicking the Search button in a window, you can view a Web page and your search results at the same time. Windows 2000 uses several different search engines for optimized searches.
Internet Explorer window


New Ways to Communicate

By using the new features that are built into Windows 2000, you can communicate over the Internet more easily by using various media, such as e-mail, newsgroups, fax, live conferences, video, and Web pages.

  • Microsoft Outlook Express. Outlook Express, an e-mail program and newsreader, is included with Windows 2000.
Outlook Express Inbox
  • Fax Service. Several easy-to-use fax tools help you send, receive, monitor, and manage faxes directly from your desktop. You can design your own cover page, route incoming faxes to your Inbox or printer, and send a document as a fax and an e-mail message at the same time.
  • NetMeeting. You can use Microsoft NetMeeting to hold live conferences and collaborate on documents with the participants over the Internet.
  • Windows Media Player. Using Windows Media Player, you can bring live, "streaming" multimedia—from simple audio to sophisticated interactive Web-based applications—to your computer.
  • Microsoft Telephony. You can use Telephony to send voice and video data over networks or the Internet, giving you the benefits of video conferencing at a low cost.


Improved Printing Support

With Windows 2000, printing is easier and more flexible. Windows 2000 includes support for hundreds of printers and for wireless, infrared printing.

  • Internet printing. Using the improved Add Printer wizard, you can access printers over the Internet and through corporate intranets. Through your Internet connection, you can send documents to any printer on a Windows 2000 network. In addition, you can install printer drivers over the Internet and view printing status from your Web browser.
  • Image Color Management 2.0. Now you can send high-quality color documents from your computer to your printer or to another computer faster and with greater reliability. New color profiles ensure that the colors you see on your monitor match those on your scanner and printer.
  • Improved fonts. Windows 2000 includes a new universal font format, OpenType, which combines the TrueType and Type 1 font technologies.


Latest Hardware Innovations

Windows 2000 includes hundreds of new printer, modem, and other hardware drivers, making hardware installation and setup more efficient than ever.

  • Add/Remove Hardware wizard. The improved Add/Remove Hardware wizard makes device management easier and faster. The wizard automatically finds and configures hardware and helps you safely add, remove, eject, upgrade, or troubleshoot hardware.
  • Plug and Play. Plug and Play technology makes it easy to add new hardware. If you want to install Plug and Play hardware, just plug it into your computer—Windows 2000 automatically configures the device and installs any necessary drivers.
  • Universal serial bus (USB). When you attach hardware to a USB port, Windows 2000 automatically detects the new device and installs the necessary drivers without restarting the computer.
  • Advanced configuration and power interface (ACPI). On ACPI-compliant computers, Windows 2000 automatically uses the latest in power management features. You can dock and undock your laptop without restarting. The OnNow power-saving utility can put ACPI-compliant computers into a state of "hibernation," then turn them on when you touch the keyboard. OnNow also reduces drive wear and noise.
  • Support for new hardware technology. Windows 2000 supports new hardware standards, including Intel MMX, IEEE 1394, and the DirectX technologies. Using DVD Player, you can play DVDs—high-density discs that can contain much more information than CDs, such as entire movies.
  • Multimedia. Windows 2000 supports OpenGL specifications, the 3-D graphics standard used for computer-aided design (CAD) and scientific applications.
  • Multiple monitors. You can add monitors and increase the size of your desktop. Using multiple monitors can help you work on several applications at the same time—you can even have different display settings for each monitor.
  • Imaging and scanning. Cameras and scanners are easy to install in Windows 2000. You can configure the Scanners and Cameras feature to automatically launch the program of your choice when you scan an image.
  • Device Manager. Device Manager makes it easier to configure devices and resources on your computer, reducing administration time and costs.


New Storage, Security, and Compatibility Features

Storage enhancements and security features in Windows 2000 give you more options for storing your information and provide better compatibility with Windows 95 and Windows 98.

  • Windows Backup. New Backup and Restore wizards make data protection easier and more reliable. You can now use Windows Backup with a wide variety of storage devices, including tape drives, removable disks, recordable CDs, logical drives, and network drives.
  • FAT32 support. For efficient disk space allocation—and compatibility with Windows 95 OSR2 and later systems—Windows 2000 supports the FAT32 file system. By using FAT32, you can format disks larger than 2 gigabytes (GB) as a single drive.
  • Disk Defragmenter. You can improve your drive performance by using Disk Defragmenter. Windows 2000 supports defragmentation of FAT, FAT32, or NTFS drives.
  • Updated NTFS. The new version of NTFS offers many performance enhancements and a host of new features, such as per-user disk quotas, file encryption, and distributed link tracking. You can also add disk space to an NTFS volume without restarting the computer.
  • Universal Disc Format. Windows 2000 adds support for Universal Disc Format, a new file system designed for interchanging information between DVD and CD-ROM media.
  • Encrypting File System. An extension to NTFS, the Encrypting File System uses public key technology to encrypt files and folders. You can easily encrypt and decrypt individual files and folders to protect against data theft and ensure privacy.


For Power Users, Network Administrators, and Developers

Windows 2000 offers many advanced features for experienced computer users and network administrators. New tools consolidate administrative tasks, restore user information, and help you work efficiently.

  • Administrative Tools. A new Administrative Tools control panel consolidates tools you commonly use to manage administrative tasks for local and remote computers.
  • Microsoft Management Console. MMC provides you with a common area for viewing and using all administrative tools available in Windows 2000. Custom tool configurations of MMC consoles can be saved and opened by other users on their computers. You can customize the MMC window to include only the tools you need.
MMC Console with Share information
  • IntelliMirror. Data management and retrieval are easier and more cost effective with IntelliMirror, which backs up information from workstations to the network, protecting critical files, administrative policies, and users' computer preferences. This feature is invaluable if your hard disk fails, if you need to reconfigure a computer, or for network administrators. And when you reconnect to the network, your files are synchronized with the network.


Setup

When installing a new operating system, you need to make several choices. The Windows 2000 Setup wizard and this chapter guide you through these choices. You also learn how to connect your computer to a network.

For more information about advanced Setup topics, such as file systems, disk partitions, and dual-boot configurations, see Understanding Advanced Setup Options in Chapter 3.

Topics

Before You Begin

Running Setup

Starting Windows 2000


Before You Begin

When you set up Windows 2000, you have to provide information about how you want to install the operating system. The procedures in this chapter help you provide necessary information. To ensure a successful installation, you should complete the following tasks—which are described in the sections that follow—before you install Windows 2000:

  • Make sure your hardware components meet the minimum requirements.
  • Obtain Windows 2000–compatible hardware and software, such as upgrade packs, new drivers, and so on.
  • Obtain network information.
  • Back up your current files before upgrading, in case you need to restore your current operating system.
  • Determine whether you want to perform an upgrade or install a new copy of Windows.
  • If you're installing a new copy, identify and plan for any advanced Setup options you might want.

Important

Before you begin, you should also read the file Read1st.txt, which is on the Windows 2000 Professional CD. This file contains late-breaking information that was unavailable when this book and Windows 2000 Help were written, including preinstallation notes vital to the success of your installation.

This chapter describes how to run Setup and install Windows 2000 on a single computer. Alternative methods for installing Windows 2000 are detailed in the resources below.

For more information about using unattended Setup mode to install Windows 2000 on multiple computers, see Running Setup in Unattended Setup Mode in Chapter 3.

For more information about the deployment process and automated installation tools, see the Windows 2000 Professional Resource Kit.


Meeting Hardware Requirements

Before you install Windows 2000, make sure your computer meets the following minimum hardware requirements:

  • 133 MHz Pentium or higher microprocessor (or equivalent). Windows 2000 Professional supports up to two processors on a single computer.

  • 64 megabytes (MB) of RAM recommended minimum.

    • 32 MB of RAM is the minimum supported. 4 gigabytes (GB) of RAM is the maximum.

  • A 2 GB hard disk with 650 MB of free space.

    If you’re installing over a network, more free hard disk space is required.

  • VGA or higher resolution monitor.
  • Keyboard.
  • Microsoft Mouse or compatible pointing device (optional).

For CD-ROM installation:

  • A CD-ROM or DVD drive.
  • High-density 3.5-inch disk drive, unless your CD-ROM drive is bootable and supports starting the Setup program from a CD.

For network installation:

  • Windows 2000-compatible network adapter card and related cable (see the Hardware Compatibility List, Hcl.txt, in the Support folder on the Windows 2000 Professional CD).
  • Access to the network share that contains the Setup files.


Checking Hardware and Software Compatibility

Windows 2000 Setup automatically checks your hardware and software and reports any potential conflicts. To ensure a successful installation, however, you should determine whether your computer hardware is compatible with Windows 2000 before you start Setup.

You can view the Hardware Compatibility List (HCL) by opening the Hcl.txt file in the Support folder on the Windows 2000 Professional CD. If your hardware isn't listed, Setup may not be successful. To see the most recent version of this list, visit the Microsoft Web site:

Microsoft Hardware Compatibility List Web site

Important

Windows 2000 supports only those devices listed on the HCL. If your hardware isn't on this list, contact the hardware manufacturer and ask if there's a Windows 2000 driver for the component. You don't need to obtain drivers for Plug and Play devices.

If you have a program that uses 16-bit drivers, you need to get 32-bit drivers from the software vendor to ensure that the program functions properly after the upgrade.

For the most recent information on compatible and certified programs for Windows 2000 Professional, visit the Microsoft Windows 2000 Professional Web site at:

Microsoft Windows 2000 Professional Web site

During Setup, you can use upgrade packs to make your existing Windows 95 and Windows 98 software compatible with Windows 2000. Upgrade packs are available from the appropriate software manufacturers.


Obtaining Network Information

If your computer won't be participating on a network, skip this section.

First, you need to decide whether your computer is joining a domain or a workgroup. If you don't know which option to choose or if your computer won't be connected to a network, select the Workgroup option. (If you do, you can join a domain after you install Windows 2000.) If you select the Domain option, ask your network administrator to create a new computer account in that domain or to reset your existing account.

If your computer is currently connected to a network, you should get the following information from your network administrator before you begin Setup:

  • Name of your computer
  • Name of the workgroup or domain
  • TCP/IP address (if your network doesn't have a Dynamic Host Configuration Protocol [DHCP] server)

If you want to connect to a network during Setup, you must have the correct hardware installed on your computer and be connected by network cable.


Backing Up Your Files

If you're upgrading from a previous version of Windows, you should back up your current files. You can back up files to a disk, a tape drive, or another computer on your network.

How you back up your files depends on your current operating system. If you're using Windows 95 or Windows 98, you may need to install the Windows Backup program. If you're using Windows NT 3.51 or Windows NT 4.0, Windows Backup is installed by default. You must have a tape drive installed to use the Backup tool in Windows NT.

For more information about installing or using Windows Backup, see your current version of Windows Help.


Upgrading vs. Installing a New Copy

After you begin Windows 2000 Setup, one of the first decisions you have to make is whether to upgrade your current operating system or to perform an entirely new installation. During Setup you're asked to choose between upgrading or installing a new copy of Windows (or clean install).

During an upgrade, Setup replaces existing Windows files but preserves your existing settings and applications. Some applications may not be compatible with Windows 2000 and therefore may not function properly in Windows 2000 after an upgrade. You can upgrade to Windows 2000 Professional from the following operating systems:

  • Windows 95 (all releases), Windows 98 (all releases)
  • Windows NT 3.51 Workstation, Windows NT 4.0 Workstation (including service packs)

If you choose to install a new copy, Setup installs Windows 2000 in a new folder. If you're currently using a nonsupported operating system (such as Microsoft Windows 3.1 or OS/2), you must install a new copy. You have to reinstall applications and reset your preferences when you install a new copy.

You should upgrade if all of the below are true: | You should install a new copy if any of the below are true:
You're already using a previous version of Windows that supports upgrading. | Your hard drive is blank.
— and — | — or —
You want to replace your previous Windows operating system with Windows 2000. | Your current operating system doesn't support an upgrade to Windows 2000.
— and — | — or —
You want to keep your existing files and preference. | You already use an operating system, but you don't want to keep your existing files and preferences so that you can cleanly install.
 | — or —
 | You have two partitions and want to create a dual-boot configuration with Windows 2000 and your current operating system.

You can use a dual-boot configuration to run both Windows 2000 and another compatible operating system, such as Windows 98, on your computer. You should install Windows 2000 on a different partition than your current operating system.

For more information, see Dual-Boot Configuration in Chapter 3.


Determining Advanced Setup Needs

If you're already using Windows 95, Windows 98, Windows NT 3.51, or Windows NT 4.0 and you choose to install a new copy during Windows 2000 Setup, the Select Special Options screen appears during Setup. From this screen, you can select Accessibility and Language settings.

If you want to modify the way Setup installs Windows 2000, you can click Advanced Options, and then perform any of the following tasks:

  • Change the default location of the Setup files.
  • Store system files in a folder other than the default folder (Winnt).
  • Copy the installation files from the CD to the hard disk.
  • Select the partition on which to install Windows 2000.

Unless you're an advanced user, it's recommended that you use the default settings.

Advanced Options screen


Running Setup

The Setup wizard gathers information, including regional settings, names, and passwords. Setup then copies the appropriate files to your hard disk, checks the hardware, and configures your installation. When the installation is complete, you're ready to log on to Windows 2000. Note that your computer restarts several times during Setup.

How you start Setup depends on whether you're upgrading or installing a new copy of Windows. Determine your installation method, go to the appropriate section in this chapter, and then follow the procedures for your Setup scenario.


If You're Installing a New Copy (Clean Install)

If your computer has a blank hard disk or your current operating system isn't supported, you need to start your computer using one of the following:

  • The Setup startup disks.
  • The Windows 2000 Professional CD, if your CD-ROM drive is bootable. Some newer CD-ROM drives can boot from the CD and automatically launch Setup.

If you don't have the Setup startup disks, you can create replacement disks.

For more information, see Creating Setup Startup Disks in Chapter 3.

To install a new copy using the Setup startup disks

  1. With your computer turned off, insert the Windows 2000 Setup startup Disk 1 into your floppy disk drive.
  2. Start your computer.

    Setup starts automatically.

  3. Follow the instructions that appear.

    The following sections discuss the different installation methods available.

To install a new copy using the CD

  1. Start your computer by running your current operating system, and then insert the Windows 2000 Professional CD into your CD-ROM drive.
  2. If Windows automatically detects the CD, click Install Windows 2000. Setup starts. You're finished with this section and can skip to Collecting User and Computer Information, later in this chapter.

    If Windows doesn't automatically detect the CD, start Setup from the Run command.

    • In Windows 95, Windows 98, or Windows NT 4.0, click Start, and then click Run.
    • In Windows NT 3.51 or Windows 3.1, in Program Manager, click File, and then click Run.
  3. At the prompt, type the path to the setup file. the following command, replacing d with the letter of your CD-ROM drive:

    d:\i386\winnt32.exe

    If you're using Windows 3.1 or the command prompt, type the following command at the prompt, replacing d with the letter of your CD-ROM drive:

    d:\i386\winnt.exe

  4. Press ENTER.
  5. Follow the instructions that appear.

To install a new copy using a network connection

  1. Using your existing operating system, establish your connection to the shared network folder that contains the Setup files. You can also use an MS-DOS or network installation disk to connect to the network server—if the disk contains network client software.

    Your network administrator will be able to provide you with this path.

  2. If your computer is currently running Windows 95, Windows 98, or a previous version of Windows NT, at the command prompt, type the path to the file winnt32.exe.

    If your computer isn't running one of the above versions of Windows, at the command prompt, type the path to the file winnt.exe.

  3. Press ENTER.
  4. Follow the instructions that appear.


If You're Upgrading

The upgrade process is simple. The Setup wizard detects and installs the appropriate drivers, or it creates a report on devices that couldn't be upgraded so you can be sure your hardware and software are compatible with Windows 2000.

Important

You must uncompress any DriveSpace or DoubleSpace volumes before upgrading to Windows 2000.

To upgrade Windows 95, Windows 98, or Windows NT 4.0 from the CD

  1. Start your computer by running your current operating system, and then insert the Windows 2000 Professional CD into your CD-ROM drive.
  2. If Windows automatically detects the CD and asks if you would like to upgrade your computer to Windows 2000 Professional, click Yes.

    Otherwise, click Start, and then click Run. At the prompt, type the following command, replacing d with the letter assigned to your CD-ROM drive:

    d:\i386\winnt32.exe

  3. Press ENTER.
  4. Follow the instructions that appear.

To upgrade Windows NT 3.51 from the CD

  1. Start your computer by running your current operating system, and then insert the Windows 2000 Professional CD into your CD-ROM drive.
  2. In Program Manager, click File, and then click Run. At the prompt, type the following command, replacing d with the letter of your CD-ROM drive:

    d:\i386\winnt32.exe

  3. Press ENTER.
  4. Follow the instructions that appear.

To upgrade from a network connection

  1. Using your current operating system, establish a connection to the shared network folder that contains the Setup files. If you have an MS-DOS or network installation disk that contains network client software, you can use that disk to connect to the shared folder.

    Your network administrator will be able to provide you with this path.

  2. If your computer is currently running Windows 95, Windows 98, or a previous version of Windows NT, at the command prompt, type the path to the file winnt32.exe.
  3. Press ENTER.
  4. When you're asked if you would like to upgrade your computer to Windows 2000 Professional, click Yes.
  5. Follow the instructions that appear.


Collecting User and Computer Information

The Windows 2000 Setup wizard leads you through the process of gathering information about you and your computer. Although much of this installation process is automatic, you may need to provide information or select settings in the following screens, depending on the current configuration of your computer:

  • Licensing Agreement. If you agree with the terms, select I accept this agreement to continue with Setup.
  • Select Special Options. Use this screen to customize Windows 2000 Setup, language, and accessibility settings for new installations. You can set up Windows 2000 to use multiple languages and regional settings.

For more information, see Determining Advanced Setup Needs, earlier in this chapter.

Upgrading to the Windows 2000 File System NTFS. Windows 2000 can automatically convert partitions on your hard disk to NTFS, or you can keep your existing file systems. If you're upgrading, Setup uses your current file system; however, you can change to NTFS, the recommended file system for Windows 2000.

For more information, see NTFS in Chapter 3.

Regional Settings. Change the system and user locale settings for different regions and languages.

  • Personalize Your Software. Enter the full name of the person and, optionally, the organization to whom this copy of Windows 2000 is licensed.
  • Computer Name and Administrator Password. Enter a unique computer name that differs from other computer, workgroup, or domain names on your network. Setup suggests a computer name, but you can change the name.

    Setup automatically creates an Administrator account during the installation. When you use this account, you have full rights over the computer's settings and can create user accounts on the computer. That is, logging on as an Administrator after you install Windows 2000 gives you administrative privileges that you need to log on and manage your computer. Specify a password for the Administrator account. For security reasons you should always assign a password to the Administrator account. Take care to remember and protect your password.

  • Date and Time Settings. Verify the date and time for your region, select the appropriate time zone, and then select whether you want Windows 2000 to automatically adjust for daylight savings time.
  • Networking Settings. Unless you're an advanced user, select the Typical settings option for your network configuration. Select the Custom settings option to manually configure network clients, services, and protocols.
  • Workgroup or Computer Domain. During Setup, you must join either a workgroup or a domain.

For more information, see Providing Networking Information, later in this chapter.

  • Provide Upgrade Packs. Some software manufacturers provide upgrade packs that allow your programs to work with Windows 2000. If you don't have any upgrade packs, simply click Next to continue with Setup.
  • Network Identification Wizard. If your computer is participating on a network, this wizard prompts you to identify the users who will be using your computer. If you indicate that you're the only user, you're assigned Administrator privileges.


Providing Networking Information

During or after Setup, you need to join either a workgroup or a domain. If you won't be working on a network, specify that you want to join a workgroup.

Joining a Workgroup

A workgroup is one or more computers with the same workgroup name (for example, a "peer-to-peer" network). Any user can join a workgroup by simply specifying the workgroup name—you don't need special permissions to join a workgroup. You must provide an existing or new workgroup name, or you can use the workgroup name that Windows 2000 suggests during Setup.

Joining a Domain

A computer account identifies your computer to the domain, while the user account identifies you to your computer.

A domain is a collection of computers defined by a network administrator. Unlike joining a workgroup, which you can do yourself, joining a domain requires permission from the network administrator.

Joining a domain during Setup requires a computer account in the domain you want to join. If you're upgrading from Windows NT, Setup uses your existing computer account. Otherwise, you'll be asked to provide a new computer account. Ask your network administrator to create a computer account before you begin Setup. Or if you have the appropriate privileges, you can create the account during Setup and join the domain. To join a domain during Setup, you need to provide your user name and password.

Note

If you have difficulty joining a domain during Setup, join a workgroup instead, and then join the domain after you finish installing Windows 2000.

For more information, see Setting Up a Network Connection in Chapter 5.


Starting Windows 2000

After gathering information, the Setup wizard completes the installation. The computer restarts several times, and then the logon prompt for Windows 2000 appears. After you log on, you can register your copy of Windows 2000, create user accounts, and reconfigure any settings that you entered in Setup.


Logging on to Windows 2000

When your computer restarts after installation, you log on to Windows 2000 for the first time. If you upgraded from a previous version of Windows and already had an existing user account, you can log on using that account and password.

If you don't have a user account, you need to log on using the Administrator account and the password you selected during Setup. Then you can create your user account.

For more information, see Understanding Accounts in Chapter 5.

To log on to Windows 2000 using the Administrator account

  1. In the Log on to Windows 2000 dialog box, type the Administrator password that you created during Setup.
  2. Press ENTER.

    Windows 2000 starts, and the Welcome screen appears.

Welcome screen


Creating a User Account

Your user account identifies your user name and password, the groups you're a member of, which network resources you have access to, and your personal files and settings. Each person who regularly uses the computer should have a user account. The user account is identified by a user name and a password, both of which the user types when logging on to the computer. You can create individual user accounts after logging on to the computer as Administrator.

To create your user account

  1. Click the Start button, point to Settings, and then click Control Panel.
  2. Double-click Users and Passwords.
  3. Click Add.

    The Add New User wizard appears.

  4. Follow the instructions that appear.

    After you've added your user account, you're ready to log off as Administrator and log on using your user account.


Registering Your Copy of Windows 2000

If you have a modem, you can register your copy of Windows 2000 by starting the Registration wizard in the Welcome to Windows 2000 dialog box. If you do not have a modem or an Internet connection, use the registration card included in the Windows 2000 package to register.

Note

To open the Welcome screen, click Start, click Run, type welcome, and then click OK.


Advanced Setup

You can set up Microsoft Windows 2000 Professional without using advanced Setup options, but the information in this chapter helps you to modify the way Setup installs Windows 2000. This chapter describes how you can create dual-boot configurations, manage disk partitions, install Windows 2000 on multiple computers, or use alternate file systems.

Topics

Understanding Advanced Setup Options

Customizing Setup

Creating Setup Startup Disks


Understanding Advanced Setup Options

The information in the following sections helps you to make decisions about how you install Windows 2000. Unless you're an advanced user, it's recommended that you use the default settings.


File Systems

Before you install Windows 2000, you should decide which file system you should use. A file system is the method by which information is stored on a hard disk.

Windows 2000 supports the NTFS file system or one of the file allocation table file systems (FAT or FAT32).


NTFS

The NTFS file system is the recommended file system for use with Windows 2000. NTFS has all of the basic capabilities of FAT, and it provides the following advantages over the FAT and FAT 32 file systems:

  • Better file security.
  • Better disk compression.
  • Support for large hard disks, up to 2 terabytes (TB). (The maximum drive size for NTFS is much greater than that for FAT, and as drive size increases, performance with NTFS doesn't degrade as it does with FAT.)

If you're using a dual-boot configuration (using both Windows 2000 and another operating system on the same computer), you may not be able to gain access to files on NTFS partitions from the other operating system on your computer. For this reason, you should probably use FAT32 or FAT if you want a dual-boot configuration.

For more information about dual booting, see Dual-Boot Configuration, later in this chapter.


FAT and FAT32

FAT32 is an enhanced version of the FAT file system that can be used on drives from 512 megabytes (MB) to 2 TB in size. FAT and FAT32 offer compatibility with operating systems other than Windows 2000. If you're setting up a dual-boot configuration, you should probably use FAT or FAT32.

If you're dual booting Windows 2000 and another operating system, choose a file system based on the other operating system, using the following criteria:

  • Format the partition as FAT if the installation partition is smaller than 2 gigabytes (GB), or if you're dual booting Windows 2000 with MS-DOS, Windows 3.1, Windows 95, Windows 98, or Windows NT.
  • Use FAT32 for use on partitions that are 2 GB or larger. If you choose to format using FAT during Windows 2000 Setup and your partition is greater than 2 GB, Setup automatically formats it as FAT32.

Note

It's recommended that you use NTFS rather than FAT32 for partitions larger than 32 GB.

For more information about file systems and dual booting, see Dual-Boot Configuration, later in this chapter.


Disk Partitions

Disk partitioning is a way of dividing your hard disk so that each section functions as a separate unit. You can create a partition to organize information, for example, to back up data, or to dual boot with another operating system. When you create partitions on a disk, you divide the disk into one or more areas that can be formatted for use by a file system, such as FAT or NTFS.

For more information, see File Systems, earlier in this chapter.

If you're performing a new installation, Windows 2000 Setup automatically selects an appropriate disk partition—unless you click Advanced Options during Setup and specify otherwise. A hard disk can contain up to four partitions.


Configuring Disk Partitions

Depending on your existing hard disk configuration, you have the following options during Setup:

  • If the hard disk is unpartitioned, you can create and size the Windows 2000 partition.
  • If the existing partition is large enough, you can install Windows 2000 on that partition.
  • If the existing partition is too small, but you have adequate unpartitioned space, you can create a new Windows 2000 partition in that space.
  • If the hard disk has an existing partition, you can delete it to create more unpartitioned disk space for the Windows 2000 partition. Deleting an existing partition also erases any data on that partition.

If you're setting up a dual-boot configuration of Windows 2000 Professional, it's important to install Windows 2000 on its own partition. Installing Windows 2000 on the same partition as another operating system may cause Setup to overwrite files installed by the other operating system.


Sizing Disk Partitions

Although Windows 2000 requires a minimum of 500 MB of free disk space for installation, using a large installation partition provides flexibility for adding future updates, operating system tools, or other files.

During Setup, you should create and size only the partition on which you want to install Windows 2000. After Windows 2000 is installed, you can use Disk Management to make changes or create new partitions on your hard disk.

For more information about Disk Management, see Using Disk Management in Windows 2000 Help.


Converting vs. Reformatting Existing Disk Partitions

Before you run Setup, decide whether you want to keep, convert, or reformat an existing partition. The default option for an existing partition is to keep the existing file system intact, thus preserving all files on that partition.

If you decide to convert or reformat, you need to select an appropriate file system (NTFS, FAT, or FAT32). The following guidelines should help you decide.

Important

Before you change file systems on a partition, you should back up the information on the partition because reformatting the partition deletes the existing data.

Should I convert my existing partition to NTFS?

You can convert an existing partition to NTFS during Setup to make use of Windows 2000 security. You can also convert file systems from FAT to NTFS at any time after Setup by using Convert.exe from the command prompt.

This option preserves your existing files, but only if Windows 2000 has access to files on that partition. Use this option if:

  • You want to take advantage of NTFS features such as security, disk compression, and so on.
  • You aren't dual booting with another operating system—other than Windows NT 4.0 Service Pack 4 (SP4) or later, which can use a Windows 2000 NTFS partition.

For more information about dual booting, see Dual-Boot Configuration, later in this chapter.

Should I always use NTFS for my file system?

NTFS is the recommended file system for Windows 2000. However, there are specific reasons that you might want to use another file system. If you format a partition with NTFS, only Windows 2000 can gain access to files subsequently created on that partition. If you plan to access files from other operating systems (including MS-DOS), you should choose to install a FAT file system.

For more information, see File Systems, earlier in this chapter.

What happens if I reformat my existing partition?

Reformatting a partition erases all existing files on that partition. Make sure to back up your files before you reformat a partition.

Important

To convert an NTFS partition to FAT, you must first back up all of your files, reformat the partition as FAT (which erases all the files), and then restore the files from backup. You can't restore an NTFS partition created in Windows NT after you convert it to the version of NTFS used in Windows 2000.

To convert a FAT partition to FAT32, you must first back up all your files, reformat the partition as FAT32 (which erases all the files), and then restore the files from backup.


Dual-Boot Configuration

If you use a dual-boot configuration on your computer, you can choose between operating systems (or between versions of the same operating system) every time you start your computer.

Windows 2000 supports dual booting with the following operating systems:

  • Windows NT 3.51, Windows NT 4.0
  • Windows 95, Windows 98
  • Windows 3.1, Windows for Workgroups 3.11
  • MS-DOS
  • OS/2

Note

You can also set up a multiboot configuration, with more than two operating systems on one computer.

To set up a dual-boot configuration, you must use a separate partition for each operating system. During Windows 2000 Setup, you can use the Advanced Setup option to select a folder on an unused partition.

For more detailed information about configuring your computer to dual boot, see the Windows 2000 Professional Resource Kit.

Important

It's strongly recommended that you create an Emergency Repair Disk before you install another operating system on your computer.

For more information about recovering your system, see Starting and Recovering Your System in Chapter 5.


Before You Dual Boot

If you want to set up a dual-boot configuration to have Windows 2000 Professional and another operating system, such as MS-DOS or Windows 98, available on your computer, first review the following precautions:

  • Each operating system should be installed on a separate drive or disk partition.
  • Because you're performing a new installation of Windows 2000, you need to reinstall any programs—such as word processing or e-mail software—after Setup is complete.
  • You should use a FAT file system for dual-boot configurations. Although using NTFS in a dual boot is supported, such a configuration introduces additional complexity into the choice of file systems. For more information about using NTFS with a dual-boot configuration, see the Windows 2000 Professional Resource Kit.
  • To set up a dual-boot configuration between MS-DOS or Windows 95 and Windows 2000, you should install Windows 2000 last. Otherwise, important files needed to start Windows 2000 could be overwritten.

    For a dual boot between Windows 98 and Windows 2000, it isn't necessary to install the operating systems in a particular order.

  • For a dual boot of Windows 2000 with Windows 95 or MS-DOS, the primary partition must be formatted as FAT; for a dual boot with Windows 95 OSR2 or Windows 98, the primary partition must be formatted as FAT or FAT32, not NTFS.
  • If you're upgrading a dual-boot computer, you can't gain access to NTFS partitions from any operating system other than Windows NT 4.0 with SP4.
  • If you install Windows 2000 on a computer that dual boots OS/2 and MS-DOS, Windows 2000 Setup configures your system so you can dual boot between Windows 2000 Professional and the operating system (MS-DOS or OS/2) you most recently used before running Windows 2000 Setup.
  • Don't install Windows 2000 on a compressed drive unless the drive was compressed with the NTFS file system compression utility.

    It isn't necessary to uncompress DriveSpace or DoubleSpace volumes if you plan to dual boot with Windows 95 or Windows 98; however, the compressed volume won't be available while you're running Windows 2000.

  • Windows 95 or Windows 98 might reconfigure hardware settings the first time you use them, which can cause problems if you're dual booting with Windows 2000.
  • If you want your programs to run on both operating systems on a dual-boot computer, you need to install them from within each operating system. You can't share programs across operating systems.


Dual Booting with Windows NT

If you plan a dual-boot configuration with Windows NT and Windows 2000, first review the following precautions:

  • If the dual-boot computer is part of a Windows NT or Windows 2000 domain, each installation of Windows NT Workstation or Windows 2000 Professional must have a different computer name.
  • If your hard disk is formatted with only NTFS partitions, it's not recommended that you dual boot Windows 2000 with Windows NT.
  • If you're using NTFS and dual booting with Windows NT, you must upgrade to Windows NT 4.0 SP4 or later before continuing with the Windows 2000 installation.


Customizing Setup

You can customize the installation of Windows 2000. If you use unattended Setup mode, you can supply answers to Setup prompts so you don't have to manually enter information during Setup.

For more detailed information about customizing Setup, see the Windows 2000 Professional Resource Kit.


Using Command Line Parameters and Switches

You can modify a Windows 2000 installation by changing how Winnt.exe and Winnt32.exe run Setup. The following sections describe the parameters and switches that you can use to customize your installation of Setup.


Winnt.exe Command Syntax

Running Winnt.exe installs Windows 2000. You can run the Winnt command at the command prompt for MS-DOS, Windows 3.1, or Windows for Workgroups 3.11.

The syntax of the Winnt command is as follows:

winnt [/s:sourcepath] [/t:tempdrive]
    [/u:answer file][/udf:id [,UDF_file]]
    [/r:folder][/rx:folder][/e:command][/a]

where:

  • /s:sourcepath

    Specifies the source location of the Windows 2000 files. The location must be a full path of the form x:\[path] or \\server\share[\path].

  • /t:tempdrive

    Directs Setup to place temporary files on the specified drive and to install Windows 2000 on that drive. If you don't specify a location, Setup attempts to locate a drive for you.

  • /u:answer file

    Performs an unattended Setup using an answer file. The answer file provides answers to some or all of the prompts that the end user normally responds to during Setup. You must also use /s.

  • /udf:id [,UDF_file]

    Indicates an identifier (id) that Setup uses to specify how a Uniqueness Database File (UDF) modifies an answer file (see /u). The /udf parameter overrides values in the answer file, and the identifier determines which values in the UDF are used. If no UDF_file is specified, Setup prompts you to insert a disk that contains the $Unique$.udb file.

  • /r:folder

    Specifies an optional folder to be installed. The folder remains after Setup finishes.

  • /rx:folder

    Specifies an optional folder to be copied. The folder is deleted after Setup finishes.

  • /e:command

    Specifies a command to be executed at the end of GUI-mode Setup.

  • /a

    Enables accessibility options.


Winnt32.exe Command Syntax

Running Winnt32.exe installs or upgrades Windows 2000. You can run the Winnt32 command at a Windows 95, Windows 98, or Windows NT command prompt.

The syntax of the Winnt32 command is as follows:

    winnt32 [/s:sourcepath] [/tempdrive:drive_letter]
    [/unattend[num]:[answer_file]] [/copydir:folder_name]
    [/copysource:folder_name] [/cmd:command_line]
    [/debug[level]:[filename]] [/udf:id[,UDF_file]]
    [/syspart:drive_letter] [/checkupgradeonly]
    [/cmdcons] [/m:folder_name] [makelocalsource]
    [/noreboot]

where:

  • /s:sourcepath

    Specifies the source location of the Windows 2000 files. To simultaneously copy files from multiple servers, specify multiple /s sources. If you use multiple /s switches, the first specified server must be available or Setup fails.

  • /tempdrive:drive_letter

    Directs Setup to place temporary files on the specified partition and to install Windows 2000 on that partition.

  • /unattend

    Upgrades your previous version of Windows 2000, Windows NT 4.0, Windows NT 3.51, Windows 95, or Windows 98 in unattended Setup mode. All user settings are taken from the previous installation, so no user intervention is required during Setup. Using the /unattend switch to automate Setup affirms that you have read and accepted the Microsoft License Agreement for Windows 2000. Before using this switch to install Windows 2000 on behalf of an organization other than your own, you must confirm that the end user (whether an individual, or a single entity) has received, read and accepted the terms of the Windows 2000 Microsoft License Agreement. OEMs may not specify this key on machines being sold to end users.

  • /unattend[num]:[answer_file]

    Performs a fresh installation in unattended Setup mode. The answer file provides Setup with your custom specifications. Num is the number of seconds between the time that Setup finishes copying the files and when it restarts your computer. You can use num on any computer running Windows NT or Windows 2000. Answer_file is the name of the answer file.

  • /copydir:folder_name

    Creates an aPitional folder within the folder in which the Windows 2000 files are installed. For example, if the source folder contains a folder called Private_drivers that has modifications just for your site, you can type /copydir:Private_drivers to instruct Setup to copy that folder to your installed Windows 2000 folder. So then the new folder location would be C:\Winnt\Private_drivers. You can use /copydir to create as many aPitional folders as you want.

  • /copysource:folder_name

    Creates a temporary aPitional folder within the folder in which the Windows 2000 files are installed. For example, if the source folder contains a folder called Private_drivers that has modifications just for your site, you can type /copysource:Private_drivers to have Setup copy that folder to your installed Windows 2000 folder and use its files during Setup. So then the temporary folder location would be C:\Winnt\Private_drivers. Unlike the folders /copydir creates, /copysource folders are deleted after Setup completes.

  • /cmd:command_line

    Instructs Setup to carry out a specific command before the final phase of Setup. This occurs after your computer has restarted twice and after Setup has collected the necessary configuration information, but before Setup is complete.

  • /debug[level]:[filename]

    Creates a debug log at the level specified, for example, /debug4:C:\Win2000.log. The default log file is C:\%windir%\Winnt32.log, with the debug level set to 2. The log levels are as follows: 0-severe errors, 1-errors, 2-warnings, 3-information, and 4-detailed information for debugging. Each level includes the levels below it.

  • /udf:id[,UDF_file]

    Indicates an identifier (id) that Setup uses to specify how a Uniqueness Database File (UDF) modifies an answer file (see the /unattend entry). The UDF overrides values in the answer file, and the identifier determines which values in the UDF are used. For example, /udf:RAS_user,Our_company.udb overrides settings specified for the RAS_user identifier in the Our_company.udb file. If no UDF_file is specified, Setup prompts the user to insert a disk that contains the $Unique$.udb file.

  • /syspart:drive_letter

    Specifies that you can copy Setup startup files to a hard disk, mark the disk as active, and then install the disk into another computer. When you start that computer, it automatically starts with the next phase of the Setup. You must always use the /tempdrive parameter with the /syspart parameter.

  • /checkupgradeonly

    Checks your computer for upgrade compatibility with Windows 2000. For Windows 95 or Windows 98 upgrades, Setup creates a report named Upgrade.txt in the Windows installation folder. For Windows NT 3.51 or 4.0 upgrades, it saves the report to the Winnt32.log in the installation folder.

  • /cmdcons

    APs to the operating system selection screen a Recovery Console option for repairing a failed installation. It is only used post-Setup.

  • /m:folder_name

    Specifies that Setup copies replacement files from an alternate location. Instructs Setup to look in the alternate location first and if files are present, use them instead of the files from the default location.

  • /makelocalsource

    Instructs Setup to copy all installation source files to your local hard disk. Use /makelocalsource when installing from a CD to provide installation files when the CD is not available later in the installation.

  • /noreboot

    Instructs Setup to not restart the computer after the file copy phase of Winnt32 is completed so that you can execute another command.


Running Setup in Unattended Setup Mode

By using an answer file, network administrators and experienced users can perform a new installation in unattended Setup mode. In unattended Setup mode, no user intervention is required during Setup because the answer file contains all of the information that Setup requires, including acceptance of the license agreement, computer name, and network adapter. Answer files can help you quickly install Windows 2000 on multiple computers.

A sample answer file, Unattend.txt, is included in the I386 folder on the Windows 2000 Professional CD. Using the file as a template, you can create your own answer file to customize Setup. For detailed information about creating an answer file, see the information on deployment in the Windows 2000 Professional Resource Kit.

To run unattended Setup in Windows 95, Windows 98, Windows NT 3.51, or Windows NT 4.0, start Winnt32.exe by using either the /unattend[num]:[answer_file] option or the /unattend option.

For more information, see Winnt32.exe Command Syntax, earlier in this chapter.


Creating Setup Startup Disks

If you don't have the Setup startup disks, you can create them. The startup disks are used to start Setup if you can't start Setup from your hard drive.

Note

Setup startup disks contain different information than the Emergency Repair Disk.

For more information, see Starting and Recovering Your System, in Chapter 5.

To create Setup startup disks

  1. Insert a blank, formatted disk into the floppy disk drive, and insert the Windows 2000 Professional CD into the CD-ROM drive.

    You need four blank, 1.44 MB formatted 3.5-inch disks. Label them "Setup Disk 1," "Setup Disk 2," and so on.

  2. Click Start, and then click Run.
  3. At the prompt, type the following command, replacing d with the letter of your CD-ROM drive and a with the letter of your floppy disk drive.

    d:\bootdisk\Makeboot.exe a:

  4. Follow the instructions that appear.


Windows Basics

Because there are many ways to set up Windows and do basic tasks, it's important to know your options and to choose those that best fit your needs. In this chapter, you learn about basic features that help you get your work done, as well as how to explore and customize Windows 2000. You also learn about the Internet and how to get connected by using the Internet Connection wizard.

Topics

What is the Desktop?

Getting Help

Exploring Your Computer

Getting Your Work Done

Using the Internet and the Web

Shutting Down Your Computer


What Is the Desktop?

The desktop is the area that first appears on the screen after you start Windows 2000. The desktop is your workspace. On the left side of your desktop are icons, small pictures that represent files such as documents, folders, or programs. When you want to open a file, double-click its icon.

Note

The procedures in this book describe the double-click method of browsing. Your computer manufacturer may have selected a desktop style that uses the single-click option. If so, point to an icon to select a file, and single-click the icon to open the file.

Depending on how your computer is set up, your icons might be different from those in the illustration.

Desktop


Getting Help

Windows 2000 Help is your principal source of information for learning how to use Windows 2000. Always available from the Start menu, Help describes how to perform a wide variety of tasks—from setting up a printer to connecting to the Internet. Help also contains a glossary, keyboard shortcuts, troubleshooters, an online version of this book, and links to Web-based resources.

To open Windows 2000 Help

  1. Click the Start button.
Start menu with Help selected
  2. On the Start menu, click Help.

    Windows 2000 Help appears. You can find topics listed on the Contents tab, look up keywords on the Index tab, and search for text by using the Search tab.

You can also get information about a dialog box by clicking the question mark button on the title bar and then clicking the dialog box area in question.


Exploring Your Computer

You can navigate in Windows 2000 by using the taskbar (including the Start button), My Computer, Windows Explorer, or My Network Places. In some cases, one way is more efficient than another. For example, it's faster to start programs from the Start button than from Windows Explorer, but Windows Explorer gives you a more complete picture of all of the files on your computer. In other cases, the choice is personal preference. When browsing through folders (containers for documents and programs), for instance, you can use either My Computer or Windows Explorer—it's a matter of how you prefer to display the contents of your computer. The following sections familiarize you with some of your choices.


The Taskbar and the Start Button

You can use the taskbar and the Start button, which usually appear at the bottom of your screen, to navigate in Windows 2000. Both features are always available on your desktop, regardless of how many windows you have open.

Taskbar

Buttons on the taskbar show you which windows and programs are open, even when some are minimized or hidden beneath another window. You can easily switch to a different window or program by clicking its taskbar button.

For more information, see Customizing the Taskbar, later in this chapter.

If you're upgrading from Windows NT version 3.51, you'll notice that your program groups now appear on the Start menu.

The Start button displays a list of commands and shortcuts (pointers to files) that you can use to accomplish almost any task. You can start programs, open documents, customize your system, get Help, search for items on your computer, and more. Some items on the Start menu have a right-facing arrow, which means that additional choices are available on a secondary menu, called a submenu. When you place your pointer over an item with an arrow, a submenu appears.

Start menu with Settings selected

For more information, see Customizing the Start Menu, later in this chapter.


My Computer

Use My Computer when you want to view the contents of a single folder or disk. A disk is a device, such as a hard disk or floppy disk, on which you can store files. When you double-click My Computer on your desktop, icons representing the available drives appear in a new window. When you double-click a drive icon, a window displays the folders contained on that drive. You can then double-click an icon to open the folder or file.

Some of the following icons may appear in the My Computer window.

Double-click | To
Floppy disk icon | View the contents of the floppy disk, which is usually designated as A.
Hard disk icon | View the contents of the hard disk, which is usually designated as C.
Network drive icon | View the contents of a network drive, if your computer is connected to one.
CD-ROM drive icon | View the contents of a compact disc in the CD-ROM drive, if your computer has one.
Control Panel icon | View features you can use to modify your computer settings.
Printers icon | Set up a printer and view information about available printers and print job status.
Scheduled Tasks icon | Schedule or view tasks for computer maintenance.
Folder icon | View the contents of a folder.
Web Server icon | View files and folders on a Web server, if your computer is connected to one.


Windows Explorer

If you prefer to see files in a hierarchical structure (similar to a family tree), you'll like using Windows Explorer. Instead of opening disks and folders in separate windows, you can browse through them in a single window. The left pane of the Windows Explorer window contains a list of your disks and folders, and the right pane displays the contents of the selected folder. You can use the View menu to change how the icons in the right pane appear.

To use Windows Explorer to view the contents of your local (hard) disk

  1. Click the Start button, point to Programs, point to Accessories, and then click Windows Explorer.
  2. In the left pane, click the plus sign next to My Computer, then the plus sign next to your local disk.

    The contents of your hard disk appear in the right pane.

Local Disk window


My Network Places

A network is a group of computers connected to one another so that they can share resources such as files and printers. If your computer is connected to a network, you can use My Network Places to browse network resources the same way you browse the contents of your own computer. When you double-click My Network Places on your desktop, icons representing network resources appear in a window.

Some of the following icons may appear in My Network Places.

Double-click | To
Add Network Place icon | Create a shortcut to a specific network location. Runs the Add Network Place wizard, which helps you create a connection to a shared folder, a Web folder on the Internet, or a FTP site. For more information, see Working with Frequently Used Files, later in this chapter.
Entire Network icon | Display all of the computers, printers, files and folders, and people on your organization's network.
Computers Near Me icon | Display only those computers in your domain or workgroup.

To open network resources

  1. On the desktop, double-click My Network Places.
  2. If you want to browse shared resources in your workgroup, double-click Computers Near Me. The computers and resources in your workgroup appear.

    If you want to view all of the resources available on the network, double-click Entire Network. Depending on how your network is set up, you may see computers arranged by domain or by workgroup.

  3. Double-click the item you want to open, just as you would open drives and folders on your own computer.


Getting Your Work Done

Now that you're familiar with the desktop and the different methods of navigating, you're ready to learn how to perform everyday tasks, such as starting programs and managing your files.


Working with Programs

Windows 2000 makes it easy for you to add, remove, start, and quit your favorite programs.


Adding and Removing Programs

You can quickly add programs, such as a word processing program or game, by using Add/Remove Programs in Control Panel.

To add or remove a program

  1. Click the Start button, point to Settings, and then click Control Panel.
  2. Double-click Add/Remove Programs.

    Add/Remove Programs opens.

  3. Click Change or Remove Programs or Add New Programs, and then follow the instructions that appear.

Note

You can also add and remove Windows components by clicking Add/Remove Windows Components in Add/Remove Programs and then following the instructions that appear.


Starting and Quitting Programs

Most of the programs installed on your computer are available from one convenient location—the Programs section of the Start menu. Depending on how your computer is set up, what you see on the Start menu varies.

For more information, see Customizing the Start Menu, later in this chapter.

To start a program

  1. Click the Start button, and then point to Programs.

    The Programs menu appears.

Start menu with Programs selected
  2. Point to the group (such as Accessories) that contains the program you want to start, and then click the program name.

To quit a program

Click the Close button in the upper-right corner of the program window.

Calculator program


Managing Files and Folders

File names in Windows 2000 can be up to 255 characters, including spaces, but can't contain any of the following characters:
\ / : * ? " < > |

When you add a program or use a program and save your work, you create a file. For example, the Microsoft Word program is a file, and every document you create with Word is also a file. You can better organize your files by storing them in folders. For example, you may want to create a folder for each of your projects and keep files associated with the projects, such as documents and saved e-mails, in those folders. You can also move, rename, and delete files and folders.

For more information about moving files and folders, renaming files and folders, or deleting files and folders, see Windows 2000 Help.


Working with Frequently Used Files

For easy access to files and folders that you use frequently, you can create shortcuts to them. A shortcut doesn't change the location of a file or folder, nor is it a copy—it's a pointer you use to open the file or folder quickly. Deleting, moving, or renaming the shortcut doesn't affect the original item.

To create a shortcut to a file

  • Right-click the file, and then click Create Shortcut.

Another quick-access feature of the Start menu is Documents, which contains shortcuts to documents you've used recently.


Searching for Files and Folders

You can also search for computers, people, and Internet sites.

You can store files and folders in many locations—on the hard disk, a network drive, a floppy disk, and so on. To quickly locate them in any of these locations, use the Search command on the Start menu.

To search for a file or folder

  1. Click the Start button, point to Search, and then click For Files or Folders.
  2. Type the name of the file or folder for which you want to search, and then click Search Now.


Customizing Your Desktop

You can customize your desktop in a variety of ways. For example, you can:

  • Use the features in Control Panel to customize your computer.
  • Create and customize toolbars on the taskbar.
  • Customize the Start menu by adding, reorganizing, and deleting shortcuts.
  • Change the appearance and function of your desktop and windows. For example, you can use a Web page as a background on your desktop and in individual windows.


Using Control Panel

Control Panel is a convenient way to customize your computer. From Control Panel you can add and remove programs, fonts, and hardware; control how hardware, such as your mouse and modem, behaves; and select folder, display, and sound options.

Control Panel window

To open a Control Panel item

  1. Click the Start button, point to Settings, and then click Control Panel.
  2. Double-click the icon of the feature you want to open.

Choosing Folder Options

Use Folder Options in Control Panel to change how your desktop appears and how you browse through your files and folders. You can choose Web-style options, keep familiar options from earlier versions of Windows, or choose a combination of both.

You can use Folder Options to choose whether:

  • The Active Desktop is on or off.
  • Web-like content appears in folders.
  • You browse folder content in multiple windows or a single window.
  • You double-click or single-click to open files.

For more information about changing your folder options, see Windows 2000 Help.

To change your folder options

You can also double-click My Computer, and then on the Tools menu, click Folder Options.

  1. Click the Start button, point to Settings, and then click Control Panel.

    Control Panel appears.

  2. Double-click the Folder Options icon.

    The Folder Options dialog box appears.

  3. On the General tab, click the folder options you want, and then click OK.


Customizing the Start Menu

You can customize the Start menu to help you work more efficiently. You can add shortcuts to folders or files that you open frequently, and you can create your own groups of files and programs. You can also remove items from the Start menu. Because the Start menu is a collection of shortcuts, removing a program from it doesn't uninstall or remove the program from your computer.

To customize the Start menu

  1. Click the Start button, point to Settings, and then click Taskbar & Start Menu.

    The Taskbar and Start Menu Properties dialog box appears.

  2. Click the Advanced tab.
  3. Click the Add or Remove button, and then follow the instructions that appear.

Note

You can also add items to the Start menu by dragging a file, folder, or program from a window or the desktop to the Start button. A shortcut to the item is automatically added at the top of the Start menu.


Customizing the Taskbar

The taskbar is located at the bottom of the desktop by default, but you can drag it to any edge of the desktop. You can also widen or narrow the taskbar. By changing the taskbar properties, you can hide the taskbar until you want to use it, or you can choose to display it always on top of other windows.

To move the taskbar

  • Drag the taskbar to any edge of the desktop.

To widen or narrow the taskbar

  • Move your pointer to the inside edge of the taskbar. When the pointer changes to a two-headed arrow, drag to change the taskbar wiLIh.

To change taskbar options

  1. Click the Start button, point to Settings, and then click Taskbar & Start Menu.

    The Taskbar and Start Menu Properties dialog box appears.

  2. On the General tab, select the taskbar options you want, and then click OK.

Using Taskbar Toolbars

The power of the taskbar is in its flexible toolbars, which you can use to make common tasks faster and easier. The Quick Launch toolbar appears by default, and you can hide and show other toolbars as you need them. Some useful toolbars include:

  • Address toolbar. Use this toolbar to type the path to a file. If you have Internet access, you can also type a Web page address to automatically open Internet Explorer and view that Web page.
Address toolbar
  • Links toolbar. Use the shortcuts on this customizable toolbar to quickly open a Web site. Add shortcuts to your favorite Web sites by dragging the link icon from the Address bar to the Links toolbar. You can also drag link icons from Web pages, the Favorites bar, or your desktop. Or you can drag shortcuts onto this toolbar.
Links toolbar
  • Desktop toolbar. Use this toolbar to quickly open desktop items such as My Computer and My Network Places, even if they're underneath open windows.
Desktop toolbar
  • Quick Launch toolbar. Use this customizable toolbar to quickly open programs and files. Several shortcuts appear on the toolbar by default, but you can add additional shortcuts by dragging an icon onto the toolbar.
Quick Launch toolbar

To show or hide a toolbar

  • Right-click the taskbar, point to Toolbars, and then click the toolbar you want to hide or show.


Using the Internet and the Web

The Internet is essentially a large number of connected computers. A computer on the Internet can be located anywhere in the world, so you can communicate with someone over the Internet no matter where that person lives. The Internet offers several different types of information, including e-mail, newsgroups, and the World Wide Web.

Information on the Web is presented in the form of Web pages that can include text, graphics, movies, music, and animation and can be linked to other Web pages. Web pages are created in Hypertext Markup Language (HTML), and you have to use a program called a Web browser to view them. The Web browser interprets the HTML files and then formats and displays them as the Web pages you see on your screen.


Connecting to the Internet

By using the Internet Connection wizard, you can quickly set up an Internet account and connection. To use the Internet, you need a modem and a phone line or your computer has to be connected to a network. If you're connecting by using a modem, you need to sign up with an Internet service provider or an online service. An Internet service provider (ISP) is a company that provides Internet connections. An online service—a subcategory of ISPs—provides the Internet connection and many additional services. Well-known online services include MSN Internet Access and America Online.

If your computer isn't already connected to the Internet, the Connect to the Internet icon appears on your desktop. You can start the Internet Connection wizard by double-clicking the Connect to the Internet icon, or you can use the following procedure.

To start the Internet Connection wizard

  • Click the Start button, point to Programs, point to Accessories, point to Communications, and then click Internet Connection Wizard.

    The Internet Connection wizard appears.

Important

You may be prompted to restart your computer during the Internet connection process, so save and close any open documents before you proceed.


Selecting Options in the Internet Connection Wizard

The Internet Connection wizard asks you to make some selections and provide certain information. The following sections describe the information required for each connection type.

Connecting Through a Modem

If you're connecting to the Internet using a modem and an ISP, the following tables describe the information you'll need to provide during Internet setup. Your ISP should be able to supply most of the listed information.

For a new Internet account

This information | Is needed for
The ISP you want to use | Choosing an ISP
Your address and billing information | Payment for your ISP account

For an existing Internet account

This information | Is needed for
The ISP you want to use | Connecting to your ISP
Your e-mail or user name and password | Logging on to your account

The Internet Connection wizard lists common ISPs. If your ISP isn't listed, you might also need the information in the following table.

Information | Needed for
ISP dial-in phone number | Connecting to your ISP
Advanced settings such as the Internet Protocol (IP) or IP address | An ISP that requires you to change these settings
E-mail address, the server type your ISP uses (POP3 or IMAP), the names of the servers that process your incoming mail and outgoing mail, whether your ISP requires Secure Password Authentication | E-mail

Connecting Through a Network

If you're connecting to the Internet through a local area network (LAN) or wide area network (WAN), your network administrator can supply the following information.

Information | Needed for
Name of the proxy server and any proxy server exceptions | Connecting to the Internet using a LAN that uses a proxy server
Connection name, user name, and password | Logging on to a network
E-mail address, the server type your network uses (POP3 or IMAP), and the names of the servers that process your incoming mail and outgoing mail | E-mail


Setting Up Your E-Mail Account

If you choose to set up an e-mail account in the Internet Connection wizard, you can use Outlook Express to send and receive e-mail over the Internet. If you already have e-mail, you don't need to switch to Outlook Express. Switching converts all of your current mail options to work with Outlook Express.

After you set up Outlook Express, just double-click the Outlook Express icon on the taskbar to begin sending and receiving e-mail.


Exploring the Internet

When you use Internet Explorer, you don't have to type http:// before the beginning of a Web address.

You can browse Web pages—or "surf the Net"—in several ways. You can open any Web page by typing its address in the Address box of your Web browsing software. And when you're viewing a Web page, you can navigate the Internet by clicking links—underlined text or special pictures that, when clicked, cause you to go to another Web page. When you move the mouse pointer over a link, the mouse pointer changes to a hand. When you click a link, another Web page appears.


Sharing an Internet Connection Between Computers

With Windows 2000, you can connect several computers to the Internet through one connection. For example, you may have a home network that connects to the Internet through a dial-up connection. By using Internet connection sharing, several family members can connect to the Internet on different computers, individually or at the same time, using only one phone line.

Each connected computer has the ability to use virtually any of the Internet services it could normally access if connected directly. This includes activities like Internet browsing, e-mail, multiplayer gaming, and chat sessions, to name a few.

For more information about Internet connection sharing, see Windows 2000 Help.


Shutting Down Your Computer

When you finish working in Windows, use the Shut Down command on the Start menu. This command closes windows and programs and prepares your computer for shutting down. If you haven't already saved your work, you're prompted to do so.

For more information about shutting down your computer, see Windows 2000 Help.

Important

Don't turn off your computer until you see a message that the computer has been shut down. If you turn off your computer without shutting it down correctly, you risk losing information.

To shut down your computer

  1. Click the Start button, and then click Shut Down.
  2. Click the What do you want the computer to do? down arrow, select Shut down, and then click OK.

    If your computer doesn't turn off automatically, a message appears after a few moments telling you when you can safely turn off your computer.


Advanced Topics

This chapter covers a variety of Windows 2000 topics, from connecting to a network to troubleshooting hardware and software.

Topics

Understanding Accounts

Setting Up a Network Connection

Installing Hardware

Backing Up and Restoring Information

Troubleshooting

Frequently Asked Questions


Understanding Accounts

To use Windows 2000, you need to have a user account. The administrator creates your user account, and then assigns it permissions that determine which files, folders, and computers you can use.

The following sections describe how to create administrator and user accounts.


Using the Administrator Account

When you install Windows 2000, Setup creates the Administrator account and prompts you to provide a password. If you upgrade from Windows NT, Setup keeps your original account information, including existing Administrator account information.

The Administrator account has full control over the computer's software, contents, and settings. You should log on as an administrator when you need to perform tasks such as creating user accounts, installing software, or making any changes that you want to be available to all users. Only the administrator can set permissions for other users.


Creating and Modifying User Accounts

After you install Windows 2000, you need to create user accounts. If you have upgraded, Setup kept your original account information.

The administrator assigns each user permissions—a setting that determines whether or not a user may install software, see other users' documents, use network resources (such as printers and servers), and so on.

The administrator often grants permissions to a collection of user accounts, which is called a group account. By adding a user to a group, the administrator gives the user all of the permissions and rights assigned to that group. Windows 2000 provides the following built-in groups of accounts and permissions:

  • Standard user belongs to the Power Users group account. A standard user can change computer settings and install programs, but the standard user can't view documents created by other users.
  • Restricted user belongs to the Users group account. Restricted users can run programs and save documents, but they can't change computer settings, install programs, or view documents created by other users.
  • Other contains a list of all built-in accounts: Administrators, Backup Operators, Guests, Power Users, Replicator, and Users.

To create a user account

  1. Log on to the computer as an administrator.
  2. Click the Start button, point to Settings, and then click Control Panel.
  3. In Control Panel, double-click Users and Passwords.
  4. On the Users tab, click Add.
  5. Enter the user name and, if the user account exists in a network domain, the domain name, and then click Next.

Note

See your network administrator about setting up a user account in a network domain.

For an explanation of domains, see Understanding Domains, later in this chapter.

  6. Select the level of access you want to grant the user, and then click Finish.

Use the following procedure to modify the password attributes or group membership of an existing user account.

To modify a user account

  1. Log on to Windows 2000 as an administrator or as a user with administrator rights.
  2. Click the Start button, point to Settings, and then click Control Panel.
  3. In Control Panel, double-click Users and Passwords, and then click the Advanced tab.
  4. Under Advanced User Management, click Advanced.
  5. In the Local Users and Groups window, double-click the Users folder, and then double-click the user account you want to modify.
  6. Make the desired changes.
    • Use the General tab to disable the account or modify the password attributes, such as requiring the user to change it at the next log on or setting it to never expire.
    • Use the Membership tab to add or remove the groups to which the user belongs.
    • Use the Profile tab to specify a logon script or a home directory for the user.

For more information, see Providing Networking Information in Chapter 2.

After you've created a user account for yourself, you're ready to use it to log on to Window 2000. The following procedure assumes you are logged on as an administrator and have just created a user account for yourself.

To log on to your computer by using your user account

  1. Click the Start button, and then click Shut Down.
  2. In the Shut Down Windows dialog box, click the What do you want the computer to do? arrow, click Log off Administrator, and then click OK.
  3. When the Log On to Windows prompt appears, type your user name (logon name) and your password in the appropriate spaces. Click OK.

    Windows 2000 starts and, if you selected a domain, connects to the network.


Using Groups

Groups are used to grant one or more users specific permissions. Windows 2000 has built-in local groups that help the administrator efficiently assign permissions to users based on the tasks the users need to perform. You can also create your own groups.

To add a user to a local group

  1. Log on to Windows 2000 as an administrator or as a user with administrator rights.
  2. Click the Start button, point to Settings, and then click Control Panel.
  3. In Control Panel, double-click Users and Passwords.
  4. On the Users tab, click the user name, and then click Properties.
  5. Select the level of access you want to assign to the user.

    To select from a list of built-in local groups, click the Other arrow.

  6. Click OK, and then click OK again.


Setting Up a Network Connection

A network is a group of computers that share resources. A server is a central computer that contains files and resources that other computers can share. A client computer connects to the server and uses these resources. Computers running Windows 2000 Professional are client computers.

For more information about network connections, see Windows 2000 Help.


Connecting to a Local Area Network

A local area network (LAN) is a group of computers and other resources, usually located near one another. Typically, they are physically connected by network cables so that any device on the network can interact with other resources on the network. To connect to a LAN, the following network components need to be installed on your computer:

  • Client software, which connects your computer to a server. For example, you need Client for Microsoft Networks to connect to a Microsoft network.
  • Service software, which provides additional functions, such as file and print sharing for Microsoft networks.
  • Network protocol, which is essentially the language your computer uses to communicate over the network. To communicate with each other, computers must use the same protocol. A commonly used protocol is TCP/IP, which is also used to communicate over the Internet.

    If your computer is physically connected to a network during installation, Setup installs the necessary software components you need to connect to the network. For example, Windows 2000 automatically detects the network adapter and installs the appropriate driver software for it.

If you want to connect to a network after Setup, use the following procedure.

Important

This procedure assumes that you've already installed a network adapter and that your computer is physically connected to the network—for instance, by a network cable.

To connect your computer to a local area network

  1. Log on to Windows 2000 as an administrator or as a user with administrator rights.
  2. Click the Start button, point to Settings, and then click Control Panel.
  3. In Control Panel, double-click Network and Dial-up Connections.
  4. Right-click Local Area Connection, and then click Properties.
  5. Under Components checked are used by this connection, select the client software, network protocol, and service specified by your network administrator. If the selections you want aren't listed, click Install to add them. Click OK.

    If you're not sure which network components to select, contact your network administrator.


Understanding Domains

In Windows 2000, a domain is a collection of computers on a network, sharing common information. The network administrator creates one user account for each user in a domain. Your user account gives you access to all of the domain resources (such as files and printers) for which you have permissions. The administrator must also create a computer account for each computer participating in a domain.

You can specify a domain during or after Setup. The following procedure describes how to join a domain after you've installed Windows 2000.

To specify the domain for your computer account

  1. Log on to Windows 2000 as an administrator or as a user with administrator rights.
  2. Right-click My Computer, and then click Properties.
  3. Click the Network Identification tab, and then click Properties.
  4. Click Domain, type the name of the domain to which your computer belongs, and then click OK.

    If you don't know the domain name, contact your network administrator.

  5. When prompted for Domain Username and Password, type your user name and password, and then click OK.

Note

If your computer account and user account are located in different domains, you must type the user account domain, followed by a backslash and the user name, in the Domain Username and Password dialog box. For example:

DOMAINNAME\UserName

  6. Click OK when finished. Click OK again.

    Your computer joins the domain, and a message welcoming you to the domain appears.


Setting Up Other Network and Dial-up Connections

In addition to a LAN connection, there are several other types of connections you can make with your computer. When you start the Network Connection wizard, you have the following five options:

  • Dial-up to private network. Connect to a private network by using your modem and phone or ISDN line. For example, use this option to connect to your office network, so that you can transfer files, get e-mail, and so on, while you're away from the office.
  • Dial-up to the Internet. Connect to the Internet by using your modem and phone or ISDN line. Use this option to connect to an Internet service provider (ISP), such as MSN or America Online.
  • Connect to a private network through the Internet. Use your ISP to connect to a private network. For example, use this option to create a private, secure connection (a virtual private network) over the Internet between your computer and the network at your office.
  • Accept incoming connections. Allow other computers to connect to your computer by phone line, the Internet, or direct cable. For example, use this option to set up your office computer so that you can connect to it from home.
  • Connect directly to another computer. Connect two computers by using a serial, parallel, or infrared port. Use this option to connect your computer to another computer and transfer data between the two. Connecting directly is useful for synchronizing files between a portable computer and a desktop computer.

To create a connection

  1. Click the Start button, point to Settings, and then click Network and Dial-up Connections.
  2. Double-click Make New Connection.
  3. In the Network Connection wizard, select the type of connection you want to create, and then click Next.
  4. Follow the instructions that appear.

If you're connecting to a private network, you may need to share network folders you want to use from your remote computer.

For information about sharing folders, see Sharing Your Folders, later in this chapter.

In Network and Dial-up Connections, you can create an individual connection for each computer to which you connect. Each connection has its own icon. For example, you can have an icon for your office network and one for your ISP. After you create a dial-up connection, you can modify the properties of the connection, such as the phone number or type of connection, at any time.

To modify connection properties

  1. Click the Start button, point to Settings, and then click Control Panel.
  2. In Control Panel, double-click Network and Dial-up Connections.
  3. Right-click the icon for the connection you want to modify, and then click Properties.
  4. Make the desired changes, and then click OK.

For more information about Network and Dial-up Connections error messages, see Windows 2000 Help.


Sharing Your Folders

If you want to use your folders when you dial into your computer from a remote location, you must share them. Likewise, if you want other network users to have access to the folders on your computer, you must share them.

By setting permissions on the shared folders, you can control the level of access that other people have to your files. The following table summarizes the shared folder permissions that you can apply and the actions they allow.

Share Level | Permissions
Full Control | Can open, read, and edit files, and can run programs Can change permissions and take ownership of folder
Change | Can open, read, and edit files, and can run programs
Read | Can read files and execute programs

To share a folder

  1. Right-click the folder you want to share, and then click Sharing.
  2. On the Sharing tab, click Share this folder.
  3. In Share Name, use the default name, or type a name.

    You should use eight characters or less with no spaces in the share name.

  4. If you want to provide a description of the folder, type the description in Comment.
  5. If you want to limit the number of people who can concurrently use the folder, in User limit, click Allow, and then enter a number.
  6. If you want to set permissions for specific users or groups, click Permissions, click Add, double-click the user or group to whom you want to assign permissions, and then click OK. Next, select the user or group, select or clear the appropriate Allow and Deny permission check boxes, and then click OK. Click OK again.

Note

When you create a shared folder, the default permission is Full Control for the group Everyone.


Installing Hardware

Windows 2000 automatically detects and configures most hardware devices during Setup. You can postpone installing some devices until after Setup is complete, but if a device is critical to the operation of your computer—such as your hard disk drive—you must properly configure it before continuing with Setup. Refer to the device documentation for the proper device settings.

After Setup is complete, you can still add hardware. If the hardware is Plug and Play compatible, Windows 2000 automatically configures the device for you after you attach the device to your computer. Otherwise, you can use the Add/Remove Hardware wizard to install additional hardware.

Before you run Setup or install new hardware, you should check the Hardware Compatibility List (HCL) that came with your copy of Windows 2000 to verify that your hardware is compatible with Windows 2000. To view the HCL, open the Hcl.txt file in the Support folder on your Windows 2000 Professional CD. To see the most recent version of this list, visit the Microsoft Web site:

Microsoft Hardware Compatibility List Web site

To install hardware by using the Add/Remove Hardware wizard

  1. Log on to Windows 2000 as an administrator or as a user with administrator rights.
  2. Click the Start button, point to Settings, and then click Control Panel.
  3. In Control Panel, double-click Add/Remove Hardware.
  4. Follow the instructions that appear.


Backing Up and Restoring Information

The Backup utility in Windows 2000 helps you protect data in the event your hard disk fails or you accidentally erase files due to hardware or storage media failure. For example, by using Backup you can create a duplicate copy of the data on your hard disk and then archive the data on another storage device such as a hard disk or a tape.

In the event that the original data on your hard disk is accidentally erased, overwritten, or becomes inaccessible because of a hard disk malfunction, you can easily restore the data from the archived copy.

Note

It's recommended that you back up your information on a regular basis. By using Backup, you can schedule regular backups to keep your archived data up to date.

For more information about backing up and recovering, see Windows 2000 Help.


Troubleshooting

If you're having a problem with your hardware or software, troubleshooters in your Windows 2000 documentation can help you find a solution. The interactive troubleshooters provide step-by-step assistance to help identify and solve many common problems.

If you receive an error message, you can click Help in the error dialog box for a description of the error and possible ways to resolve the problem.


Using Troubleshooters

The Windows 2000 Professional troubleshooters provide information about the following topics:

  • Client Service for NetWare
  • Display
  • Hardware
  • Internet connections (ISP)
  • Modem
  • MS-DOS programs
  • Multimedia and games
  • Networking (TCP/IP)
  • Print
  • Remote access (RAS)
  • Sound
  • System setup
  • Windows 3.x programs

To open a troubleshooter in Windows 2000 Help

  1. Click the Start button, and then click Help.
  2. In the left frame on the Contents tab, click Troubleshooting and Maintenance, and then click Use the interactive troubleshooters.
  3. In the right frame, click the troubleshooter you want to use.

    4. Or click here.


Troubleshooting Setup

The following table lists solutions for possible problems during Windows 2000 Setup.

Problem | Possible Solution
Setup can't find the CD-ROM drive Verify that the make and model of the CD-ROM drive is listed the Hardware Compatibility List.

Try another method of installing, such as a network installation.

Use a startup disk that has the appropriate CD-ROM drivers. Drivers and instructions usually ship with the CD-ROM or are available from the manufacturer.

If you're already using Windows 95, Windows 98, or Windows NT and you're performing a new installation, click Advanced Options, and then copy files to your hard disk.
Setup can't read the CD Verify that the CD-ROM or DVD drive is working.

Clean the CD.

Use a different CD. To request a replacement CD, contact Microsoft or your computer manufacturer.
Setup can't read the Setup floppy disks | Create new Setup disks by using the Makeboot.exe utility located in the \Bootdisk folder on the Windows 2000 CD. For more information, see Creating Setup Startup Disks in Chapter 3.
Stop (blue screen) errors | Follow the instructions that appear. For more information, see Appendix B, Troubleshooting Stop Errors.
Windows 2000 doesn't install or doesn't start (Note: The installation process can take a long time, especially if your computer has only the minimum required memory.)

Verify that your hardware is listed on the Hardware Compatibility List (HCL).

Simplify the hardware configuration as much as possible by removing hardware not required by Setup, such as modems, sound cards, network adapters, and scanner cards.
Insufficient disk space Create and format a partition by using existing free space.

Free up space on an existing partition by deleting files that you no longer need, emptying your Recycle Bin, or if you have more than one drive or partition, moving files to the other partition.

Remove existing partitions and create a new partition large enough for installation. This action deletes all existing data.

Format an existing partition to remove all existing files and create more space.
You are unable to join a domain Verify that your computer is physically connected to a network.

Verify that the domain name is correct.

Verify with your network administrator that a computer account exists.

Verify with your network administrator that the DNS server and domain controller are running and online.

If none of these steps help solve your problem, join a workgroup instead, and then join the domain after installation.


Starting and Recovering Your System

If your computer doesn't start, you can use the features described in this section to start and recover your computer.


Using Advanced Startup Options

If your computer doesn't start correctly, you can use advanced startup options to run Windows 2000 so you can troubleshoot your problem.

To start your computer by using an advanced startup option

  1. Click the Start button, and then click Shut Down.
  2. In the Shut Down Windows dialog box, click the What do you want the computer to do? arrow, click Restart, and then click OK.
  3. When the list of available operating systems appears, press F8.
  4. On the Windows 2000 Advanced Options Menu, select the advanced startup option you want, and then press ENTER.

Two common advanced startup options are Safe Mode and Last Known Good Configuration.

Safe Mode

Even if your computer won't start normally, you might be able to start your computer in diagnostic mode, also known as safe mode. When you start your computer in any of the safe modes, only the minimal services are loaded and a boot log is created. This log lists the services and devices that did or did not load. After you start your computer in safe mode, you can change computer settings. For example, using safe mode, you can remove or reconfigure newly installed software that might be causing a problem. There are three safe mode options:

  • Safe Mode starts Windows 2000 by using only basic files and drivers (mouse, monitor, keyboard, mass storage, basic video and default system services), without network support.
  • Safe Mode with Networking starts Windows 2000 by using only basic files and drivers (see Safe Mode, above), but with network support. It does not provide network support for PCMCIA devices.
  • Safe Mode with Command Prompt starts Windows 2000 by using only basic files and drivers. After the log on, the command prompt appears instead of Windows 2000.

Last Known Good Configuration

The Last Known Good Configuration option is used only when a device is incorrectly configured. When you choose this option, Windows 2000 restores the registry settings that it saved at the last shutdown. For example, if you can't start Windows 2000 after you've installed a new driver or changed a driver configuration, you can use Last Known Good Configuration. When you use this option, you lose any system changes you made since the last successful shutdown.


Using Recovery Console

Notes

This feature should be used only by the most advanced users.

It is recommended that you backup your information on a tape drive before using Recovery Console. Your local hard drives may be formatted as part of the recovery.

Recovery Console provides a command line during startup from which you can make system changes when Windows 2000 doesn't start.

You can use Recovery Console to perform many tasks without starting Windows 2000, including: starting and stopping services, reading and writing information on a local disk drive (including NTFS file system drives), formatting drives, and so on. Recovery Console is particularly useful if you need to repair your system by copying a file from a floppy disk or CD-ROM to your hard drive or if you need to modify a service that prevents your computer from starting properly.

There are two ways to start the Recovery Console:

  • If you are unable to start your computer, you can run the Recovery Console from your Windows 2000 Setup disks.
  • As an alternative, you can install the Recovery Console on your computer to make it available in case you are unable to restart Windows 2000. You can then choose the Windows 2000 Recovery Console option from the boot menu.

After you start the Recovery Console, you choose which drive you want to log on to (if you have a dual-boot computer) and you log on with your administrator password.

If Recovery Console isn't listed, you need to install it. You should install Recovery Console to make it available as a startup option in case your computer can't restart.

To install Recovery Console as a startup option

  1. Log on to Windows 2000 as an administrator or as a user with administrator rights.

    If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.

  2. Insert the Windows 2000 Professional CD into your CD-ROM drive. If you're prompted to upgrade to Windows 2000, click No.
  3. From the command prompt—or from the Run command in Windows 2000—type the path to the appropriate Winnt32.exe file (on your Windows 2000 CD), followed by a space and the /cmdcons switch. For example:

    e:\\i386\winnt32.exe /cmdcons

  4. Follow the instructions that appear.

To run Recovery Console on a system that does not start

  1. Restart your computer, and then click Windows 2000 Recovery Console from the list of operating systems.
  2. Follow the instructions that appear.

    Recovery Console displays a command prompt.

  3. Make the required changes to your system.

    To see the commands available on the Recovery Console, type help at the command prompt.

Or click here.

To restart your computer, type exit to close the command prompt window.

To delete Recovery Console

  1. Delete the \Cmdcons folder from the root folder.
  2. Delete the file Cmldr from the same folder.
  3. In the Boot.ini file, delete the entry for Recovery Console.


Using the Emergency Repair Disk

The Emergency Repair Disk (ERD) can help you to repair or recover a system that can't load Windows 2000. The ERD helps you repair problems with system files and the partition boot sector. This situation occurs when your hard disk fails or when some of your system files are corrupted or accidentally deleted. System files are the files Windows 2000 uses to load, configure, and run the operating system. If some system files are missing or corrupted, you can use the ERD to repair those files.

The partition boot sector contains information about the file system structure and instructions for loading the operating system. If you have a dual-boot system, the ERD contains information about the settings that specify which operating system to start and how to start it.

You should regularly update your ERD in order to record your latest system settings. The ERD is designed for restarting your computer or repairing system files — it doesn't back up any of your files or programs.

Important

You shouldn't use the ERD to repair registry problems. The copy of the registry that the ERD restores is the original registry from Setup.

To create an Emergency Repair Disk

  1. Click the Start button, point to Programs, point to Accessories, point to System Tools, and then click Backup.
  2. On the General tab, click the Create an Emergency Repair Disk button.
  3. When prompted, insert a blank, formatted 1.44-MB disk in your floppy disk drive, and then click OK.
  4. When the process is complete, remove the disk, label it "Emergency Repair Disk," and then store it in a safe location.

To restore your settings from the ERD, you need your Windows 2000 CD, the Windows 2000 Setup disks, and the ERD. During the restoration process, you can press F1 for more information about your options.

Important

Because missing or corrupted files are replaced with files from the Windows 2000 CD, any changes you made to the system after the original installation are lost.

To restore your settings from the Emergency Repair Disk

  1. For Intel-based computers, use the Windows 2000 Setup disks or the Windows 2000 Professional CD to start your computer.

    After Setup finishes copying files from the Setup disks, the system restarts, and text-based installation mode starts.

  2. At the Welcome to Setup screen, press R to select the option to repair or recover a Windows 2000 installation.
  3. When prompted to enter the type of repair or recovery option required, press R to repair a damaged Windows 2000 installation.
  4. Click either Fast repair or Manual repair.
    • Press M for Manual repair if you want Setup to selectively repair system files, the partition boot sector, or the startup environment. Manual repair doesn't repair the registry.
    • Press F for Fast repair if you want Setup to automatically attempt to repair system files, the partition boot sector, and the startup environment. The registry Setup restores is the one created when you first installed Windows 2000. Fast repair doesn't require additional user interaction.
  5. Follow the instructions that appear and insert the ERD when prompted. If you have the original Windows 2000 CD, you can have Setup verify your disk (check for corruption).

    When the repair process is complete, your computer restarts and Windows 2000 runs.


Frequently Asked Questions

The questions and answers that follow may help troubleshoot your system.

What happened to Windows Explorer and the command prompt?

These features are now listed on the Accessories menu. To open Windows Explorer, click the Start button, point to Programs, and then point to Accessories.

Is Windows 2000 compatible with FAT or FAT32?

Yes. Windows 2000 can run on a hard disk formatted with the FAT or FAT32 file system.

For more information, see File Systems in Chapter 3.

Why won't my document print?

If you're having trouble printing to a network printer, make sure that:

  • The computer is connected to a printer and that your software is sending the print job to the right printer.
  • You have the appropriate permissions for using the network printer. You may need to ask your network administrator to give you the correct permissions.
  • You are using the correct syntax when typing the printer name. You must use two backslashes [\\] to begin a printer share name. For example:

    \\accounting\printer1

For more information about troubleshooting printer problems, see Windows 2000 Help.

Can I share my printer with others on the network?

Yes. You can share any printers connected to your computer with other people on your network.

To share your printer

  1. Click the Start button, point to Settings, and then click Printers.
  2. Right-click the icon for the printer you want to share, and then click Sharing.
  3. On the Sharing tab, click Shared as, and then type a name for the printer or accept the default name. Click OK.

For more information about printing, see Windows 2000 Help.

Can I create Setup startup disks?

You can create floppy disks from which you can start your computer and Windows 2000 Setup.

For more information, see Creating Setup Startup Disks in Chapter 3.

I can't connect to the network. What should I do?

If you can't connect to the network, check the following:

  • Is CAPS LOCK on while you're typing your password? Windows 2000 passwords are case-sensitive.
  • Has your password expired (that is, have you recently received the message, "User must change password at next log on")?
  • Is the domain name correct?
  • Are you using a valid user name?
  • Is your network cable properly attached to the computer and to the network connection?
  • Have the network settings on your computer been changed?
  • If these questions don't identify the problem, contact your network administrator.

What is a peer-to-peer network?

In a peer-to-peer network, computers are connected to one another via cables, and users can share files and devices such as printers. Since each computer on the network is an equal or "peer" of the others, there is no central repository or control of the entire network. Peer-to-peer networks are commonly used in small organizations with fewer than five computers.

A peer-to-peer network allows each user to act as an administrator for their own computers. Each user can set passwords in order to protect and to share the computer and its resources.

During Windows 2000 Setup, you're asked to choose between upgrading or installing a new copy of Windows (or clean install). Choose to install a new copy if you want to participate in a peer-to-peer network.

What is a client/server network?

In a client/server network, clients (standard desktop computers) are connected to a server (a more powerful computer) that stores and delivers information, devices, and software programs to clients. Client/server networks are typical in large organizations.

A network administrator sets permissions in a server-based network for access to computers, printers, information, and so on. The server authenticates users when they use the network and verifies what levels of access each user has.

During Windows 2000 Setup, you're asked to choose between upgrading or installing a new copy of Windows (or clean install). Choose upgrade if you want to participate in a client/server network.

How can I quickly set up Windows 2000 Professional on multiple computers?

Network administrators and advanced users can quickly install Windows 2000 on multiple computers by using unattended Setup.

For more information, see Running Setup in Unattended Setup Mode in Chapter 3.

Can I install another operating system on my Windows 2000 computer?

Yes. You can install and run multiple operating systems on your computer. There may be some limitations, depending on which file system you use.

For more information on installing multiple operating systems, see Dual-Boot Configuration in Chapter 3.

During Setup, my computer locks up, shows a blue screen, or otherwise fails. What causes this, and what can I do about it?

When a computer stops responding during Setup, it is often caused by hardware settings in the BIOS (basic input/output system) that are incompatible with Windows 2000. Hardware troubleshooting usually solves these problems.

Start by reading Appendix B, Troubleshooting Stop Errors. You can also visit the Microsoft Personal Support Center Web site at:

Microsoft Product Support Services Web site

Windows 2000 automatically checks for hardware compatibility during Setup, but you should check the Hardware Compatibility List (HCL). To view the HCL, open the file Hcl.txt in the \Support folder on your Windows 2000 Professional CD. To see the most recent version of this list, visit the Microsoft Web site:

Microsoft Hardware Compatibility List Web site

During Setup, I see the message "Unable to load device driver."
What should I do?

A damaged device driver file on one of the Setup floppy disks or on your hard disk can cause this problem. To resolve this issue, first create a new set of Windows 2000 Setup floppy disks, and then restart the installation.

For more information, see Creating Setup Startup Disks in Chapter 3.

If the problem recurs with the new set of Windows 2000 Setup disks, then the problem file might be on your hard disk. Start your computer in safe mode, and then remove or replace the damaged file.

For information about starting your computer in safe mode, see Using Advanced Startup Options earlier in this chapter.

When I start Setup from the MS-DOS command prompt, it runs very slowly. How can I speed it up?

Before starting Setup from the command prompt, you have to ensure that the files Himem.sys and Smartdrv.exe are loaded. Loading these files helps Setup run faster.

To load Himem.sys and Smartdrv.exe

  1. Locate the startup files (Config.sys and Autoexec.bat), which are usually at the top level of your C drive.
  2. Edit the Config.sys file by adding this line: Himem.sys.
  3. Edit the Autoexec.bat file by adding this line: Smartdrv.exe.
  4. After editing, save the startup files.
  5. Restart your computer, connect to the Setup files, and then run Winnt.exe.

Note

You may need to indicate the path to the Himem.sys and Smartdrv.exe files. For example, if the files are located in C:\Winnt, the edit for the Config.sys file would be C:\Winnt\Himem.sys and the edit for the Autoexec.bat file would be C:\Winnt\Smartdrv.exe.

Do I have to add a printer during Setup?

You don't have to add a printer during Setup. If you're prompted to add a printer, you can skip this step by clicking Cancel. You can add a printer later by clicking the Start button, pointing to Settings, clicking Printers, and then double-clicking Add Printer.


Accessibility for People with Disabilities

Windows 2000 includes many accessibility features that can improve display, sound, mouse, and keyboard settings for users who are blind, have motion disabilities, or are deaf or hard of hearing. Many accessibility features are also useful to people without disabilities.

Note

The information in this appendix applies only to users who license Microsoft products in the United States. If you obtained this product outside the United States, your package contains a subsidiary information card that lists Microsoft support services, telephone numbers, and addresses. Contact your subsidiary to find out whether the type of products and services described in this appendix are available in your area.


Accessibility Features

Windows 2000 includes the following utilities to help meet your vision, hearing, or mobility needs:

  • Magnifier. Enlarges a portion of your screen in a separate window for easier viewing.
  • Narrator. Reads information on your screen, including dialog box names, menus, entered text, and so on.
  • On-Screen Keyboard. Displays a virtual keyboard so you can enter information by using a pointing device, such as a mouse or a switch input device.

Windows 2000 also offers customizable options for users who are blind, have motion disabilities, or are deaf or hard of hearing:

  • High-contrast desktop color schemes. Provide more ways to change the colors and font sizes on your screen.
  • Sound schemes. Give useful audio feedback for important on-screen events, such as the opening and closing of windows.
  • High-visibility mouse pointer schemes. Give you more options to visually help you keep track of the pointer.

To learn more about Microsoft products available for people with disabilities, visit the Microsoft Accessibility Web site at:

Microsoft Accessibility Web site

For more information about accessibility options, see Windows 2000 Help.


Setting Up Accessibility Options

You can configure accessibility options in Windows 2000 in several ways to meet your vision, hearing, or mobility needs. Accessibility features are installed on your computer by default.

You can quickly set up your accessibility options by using the Accessibility wizard. The Accessibility wizard asks you questions about your accessibility needs and automatically configures settings for you. Or, you can open Accessibility Options in Control Panel to directly customize keyboard, display, and mouse functions.

Note

If you're using an input device other than a mouse, instead of clicking, use the appropriate action to complete commands or select items.

To set up accessibility options using the Accessibility wizard

  1. Click the Start button, point to Programs, point to Accessories, point to Accessibility, and then click Accessibility Wizard.
  2. Follow the instructions that appear.

To open Accessibility Options using Control Panel

  1. Click the Start button, point to Settings, and then click Control Panel.
  2. In Control Panel, double-click Accessibility Options.

You can turn some accessibility features on and off by using keyboard combinations, regardless of whether you have the features enabled. When you use one of the following keyboard combinations, your computer will respond with both auditory (beeps) and visual (dialog box) cues that indicate that the accessibility function is on or off.

To | Press
Switch FilterKeys on and off | RIGHT SHIFT for eight seconds
Switch High Contrast on and off | LEFT ALT+LEFT SHIFT+PRINT SCREEN
Switch MouseKeys on and off | LEFT ALT+LEFT SHIFT+NUM LOCK
Switch StickyKeys on and off | SHIFT five times
Switch ToggleKeys on and off | NUM LOCK for five seconds


How to Use the Keyboard to Move the Mouse Pointer

If you have trouble using a mouse, you can change the MouseKeys settings so that you can use the numeric keypad to move the mouse pointer. You can do this through the Accessibility wizard, or you can use the following procedure to set this option in Control Panel.

To enable MouseKeys

  1. Click Start, point to Settings, and then click Control Panel.
  2. In Control Panel, double-click Accessibility Options.
  3. Click the Mouse tab.
  4. In the MouseKeys section, click Use MouseKeys.

The following illustration shows which keys to use to replicate mouse actions.

Keystroke alternatives to using mouse


Getting More Accessibility Information

The following sections present more resources and accessibility information.


Documentation in More Accessible Formats

Documentation for many Microsoft products is available in alternative formats. If you have difficulty reading or handling printed documentation, you can obtain many Microsoft publications from the Microsoft Accessibility Web site at:

Microsoft Accessibility Web site

You can also obtain Microsoft publications from Recording For The Blind & Dyslexic (RFB&D). RFB&D offers these documents to registered, eligible members of their distribution service, either on audio cassettes or on floppy disks. The RFB&D collection contains more than 80,000 titles, including Microsoft product documentation and books from Microsoft Press.

For more information, contact Recording For The Blind & Dyslexic at:

Recording For The Blind & Dyslexic
20 Roszel Road
Princeton, NJ 08540
Phone: (800) 803-7201
Fax: (609) 987-8116

If you have Internet access, you can visit the Recording For The Blind & Dyslexic Web site at:

Recording For The Blind & Dyslexic Web site

Note

Web addresses can change, so you may be unable to connect to the Web site mentioned here.


Other Accessibility Products and Services

Other products, services, and resources for people with disabilities are available from Microsoft and other organizations. Microsoft provides a catalog of accessibility aids that can be used with any Windows operating system. You can obtain this catalog from our Web site or by phone:

Microsoft Sales Information Center
One Microsoft Way
Redmond, WA 98052-6393
Voice telephone: (800) 360-7561
Text telephone: (800) 892-5234

Microsoft Accessibility Web site

For more information on Macintosh products and services for people with disabilities, contact:

Disability Solutions
Voice telephone: (800) 600-7808
Text telephone: (800) 755-0601

If you have Internet access, you can visit Apple's Disability Solutions Web site at:

Apple Disability Solutions Web site

Note

Web addresses can change, so you may be unable to connect to the Web site mentioned here.

The Trace Research & Development (R&D) Center at the University of Wisconsin-Madison publishes a database of more than 18,000 products and other information for people with disabilities. The database is available on their Web site. The Trace R&D Center also publishes a book, titled Trace Resourcebook, which provides descriptions and photographs of about 2,000 products. To obtain these materials, contact:

Trace Research & Development (R&D) Center
University of Wisconsin-Madison
5901 Research Park Boulevard
Madison, WI 53719-1252

Telephone: (608) 262-6966

TTY: (608) 263-5408
Fax: (608) 262-8848

If you have Internet access, you can visit the Trace Research & Development Center Web site at:

Trace Research & Development Center Web site

Note

Web addresses can change, so you may be unable to connect to the Web site mentioned here.


Troubleshooting Stop Errors

A Stop error, also known as a "blue screen" or a "fatal system error," is a problem that causes Microsoft Windows 2000 to stop responding. Stop errors occur on a blue or black background.


Windows 2000 System Messages

Windows 2000 generates the following types of system messages, depending on the event being reported.

  • General Stop errors occur when Windows 2000 detects a condition from which it cannot recover.
  • Specific Stop errors occur when the processor detects a known condition from which the system cannot recover.
  • Hardware malfunction messages occur when the processor detects a hardware condition from which the system cannot recover.

Note

The information in this appendix should be used only by the most advanced users.


Troubleshooting General Stop Errors

The following steps, which also appear on the Stop error screen, help you determine the cause of a Stop error and correct the problem. Complete one step before trying the next step. For example, restarting your computer may be all that is necessary in some cases. If the Stop error recurs after you complete a step, continue to the next step.

Notes

You should try the following steps for any Stop error that doesn't display identifying text or specific troubleshooting steps.

If the Stop error displays a specific message, see Troubleshooting Specific Stop Errors, later in this chapter.

To troubleshoot general Stop errors

  1. Restart your computer. If the Stop error screen appears again, continue with the following steps.
  2. Verify that any new hardware or software is properly installed. Remove the new hardware or replace it to see if that resolves the error. Also, try running any hardware diagnostic software supplied by the system manufacturer.

    If this is a new installation, contact your hardware or software manufacturer for any Windows 2000 updates or drivers you might need.

  3. Check the Microsoft Hardware Compatibility List (HCL) to verify that all your hardware and drivers are compatible with Windows 2000.

    To see the most recent version of the HCL, visit the Microsoft Web site at:

    Microsoft Hardware Compatibility List Web site

  4. Disable or remove any newly installed hardware (RAM, adapters, hard disks, modems, and so on), drivers, or software.
    • If you can start Windows 2000, check Event Viewer for additional error messages that might help identify the device or driver causing the problem. To view the System Log, click the Start button, point to Settings, click Control Panel, double-click Administrative Tools, and then double-click Event Viewer.
    • If you can't start Windows 2000, try to start your computer in safe mode, and then remove or disable any newly added programs or drivers. To start your computer in safe mode, restart your computer. When you see the list of available operating systems, press F8. On the Windows 2000 Advanced Options Menu screen, select Safe Mode, and then press ENTER.
  5. If you have access to the Web, visit the Microsoft Personal Support Center Web site at:

    6. Microsoft Product Support Services Web site

    Search through the Microsoft Personal Support Center Web site for "winnt" and the number associated with the Stop error you received. For example, if the stop message "Stop: 0x0000000A" appears, search for "winnt 0x0000000a."

  6. Using a current version of your antivirus software, check for viruses on your computer. If you find a virus, perform the steps required to eliminate it from your computer. See your antivirus software documentation for these steps.
  7. Verify that your hardware devices drivers and your system BIOS are the latest available versions.

    Your hardware manufacturers can help you determine whether you have the latest versions or help you obtain them.

  8. Disable BIOS memory options such as caching or shadowing.

    If you need assistance, contact your hardware manufacturer.

  9. Run any system diagnostic software supplied by your computer manufacturer, especially the memory check.
  10. Verify that your computer has the latest Service Pack installed.
  11. If are unable to log on, restart your computer. When the list of available operating systems appears, press F8. On the Windows 2000 Advanced Options Menu screen, select Last Known Good Configuration, and then press ENTER.

    Restarting your computer by using the Last Known Good Configuration option resets all your computer settings to the configuration used the last time you successfully started your computer.


Troubleshooting Specific Stop Errors

Some Stop errors display descriptive messages such as "DATA_BUS_ERROR" that can help you determine the exact solution for the error. This section discusses how to troubleshoot specific Stop errors.

If the Stop error persists after you complete the following procedures, refer to Troubleshooting General Stop Errors, earlier in this chapter.


Stop Error 0x0000000A

Stop error number: | (0x0000000A)
Descriptive text: | IRQL_NOT_LESS_OR_EQUAL
Usual cause: | Drivers are using improper memory addresses.

To troubleshoot Stop error 0x0000000A on an existing installation

  1. If you are unable to log on, restart your computer. When the list of available operating systems appears, press F8. On the Windows 2000 Advanced Options Menu screen, select Last Known Good Configuration, and then press ENTER.
  2. Verify that any new hardware or software is properly installed. If this is a new installation, contact your hardware or software manufacturer for any Windows 2000 updates or drivers you might need.
  3. Check the Microsoft Hardware Compatibility List to verify that all your hardware and drivers are compatible with Windows 2000.

    4. To see the most recent version of the HCL, visit the Microsoft Web site:

    Microsoft Hardware Compatibility List Web site

    Run any system diagnostic software supplied by your computer manufacturer, especially the memory check.

  4. Disable or remove any newly installed hardware (RAM, adapters, hard disks, modems, and so on), drivers, or software.
  5. Verify that your hardware devices drivers and your system BIOS are the latest available versions.

    Your hardware manufacturers can help you determine whether you have the latest versions or help you obtain them.

  6. Disable BIOS memory options such as caching or shadowing.

    If you need assistance, contact your hardware manufacturer.


Stop Error 0x0000001E

Stop error number: | (0x0000001E)
Descriptive text: | KMODE_EXCEPTION_NOT_HANDLED
Usual cause: | A kernel mode process tried to execute an illegal or unknown processor instruction.

To troubleshoot Stop error 0x0000001E

  1. Make sure that you have adequate disk space, especially if you're performing a new installation.
  2. If the Stop error message identifies a specific driver, disable it and contact the manufacturer for an updated driver. If you can't start your computer, try starting in safe mode to remove or disable the driver.
  3. If you have a non-Microsoft-supplied video driver, try switching to the standard VGA driver or to a suitable driver supplied with Windows 2000.
  4. Disable any newly installed drivers.
  5. Verify that you have the latest system BIOS. Your hardware manufacturer can help you determine whether you have the latest version or help you obtain it.
  6. Disable BIOS memory options such as caching or shadowing.


Stop Errors 0x00000023 and 0x00000024

Stop error number: | (0x00000023) or (0x00000024)
Descriptive text: | FAT_FILE_SYSTEM or NTFS_FILE_SYSTEM
Usual cause: | A problem occurred within Ntfs.sys (the driver file that allows the system to read and write to NTFS drives).

To troubleshoot Stop error 0x00000023 or 0x00000024

  1. Run the system diagnostics supplied by your computer manufacturer, especially hardware diagnostics.
  2. Disable or uninstall any antivirus, disk defragmentation, or backup programs.
  3. Check for hard drive corruption by running Chkdsk /f at the command prompt, and then restart the computer.


Stop Error 0x0000002E

Stop error number: | (0x0000002E)
Descriptive text: | DATA_BUS_ERROR
Usual cause: | System memory has a parity error, typically due to a hardware problem.

To troubleshoot Stop error 0x0000002E

  1. Remove any newly installed hardware (RAM, adapters, hard disks, modems, and so on).
  2. Run the system diagnostics supplied by your computer manufacturer, especially hardware diagnostics.
  3. Verify that your hardware devices drivers and your system BIOS are the latest available versions.

    Your hardware manufacturers can help you determine whether you have the latest versions or help you obtain them.

  4. Use the system diagnostics supplied by your hardware vendor to run a memory check for faulty or mismatched memory.
  5. Disable BIOS memory options such as caching or shadowing.
  6. At startup, when the list of available operating systems appears, press F8. On the Windows 2000 Advanced Options Menu screen, select Enable VGA Mode, and then press ENTER. If this doesn't resolve the problem, you may need to change to a different video adapter. For a list of supported video adapters, see the Hardware Compatibility List.

    Microsoft Hardware Compatibility List Web site

  7. If the computer is formatted with NTFS, restart your computer, and then run Chkdsk /f /r on the system partition. If you cannot start the system due to the error, use the Command Console and run Chkdsk /r.


Stop Error 0x0000003F

Stop error number: | (0x0000003F)
Descriptive text: | NO_MORE_SYSTEM_PTES
Usual cause: | A driver isn't cleaning up correctly.

To troubleshoot Stop error 0x0000003F

  • Disable or uninstall any antivirus, disk defragmentation, or backup programs.


Stop Error 0x00000058

Stop error number: | (0x00000058)
Descriptive text: | FTDISK_INTERNAL_ERROR
Usual cause: | A primary drive in a fault tolerance set has failed.

To troubleshoot Stop error 0x00000058

  • Using the Windows 2000 Setup disks to start your computer, boot from the mirrored (secondary) system drive. For instructions on how to edit the Boot.ini file to point to the mirrored system drive, search through the Microsoft Personal Support Center Web site for "Edit ARC path" at:

    • Microsoft Product Support Services Web site


Stop Error 0x0000007B

Stop error number: | (0x0000007B)
Descriptive text: | INACCESSIBLE_BOOT_DEVICE
Usual cause: | Initialization of the I/O system failed (usually the boot device or the file system).

To troubleshoot Stop error 0x0000007B

  1. A boot sector virus frequently causes this Stop error. Using a current version of your antivirus software, check for viruses on your computer. If you find a virus, perform the steps required to eliminate it from your computer. See your antivirus software documentation for these steps.
  2. Remove any newly installed hardware (RAM, adapters, hard disks, modems, and so on).
  3. Check the Microsoft Hardware Compatibility List to verify that all your hardware and drivers are compatible with Windows 2000.

    4. Microsoft Product Support Services Web site

  4. If you're using a SCSI adapter, obtain the latest Windows 2000 driver from the hardware vendor, disable the sync negotiation for the SCSI device, verify that the SCSI chain is terminated, and check the SCSI IDs of the devices. If you're unsure how to do any of these steps, refer to the device documentation.
  5. If you're using IDE devices, define the on-board IDE port as Primary only. Check the Master/Slave/Only settings for the IDE devices. Remove all IDE devices except for the hard disk. If you're unsure how to do any of these steps, refer to your hardware documentation.
  6. If the computer is formatted with NTFS, restart your computer, and then run Chkdsk /f /r on the system partition. If you cannot start the system due to the error, use the Command Console and run Chkdsk /r.
  7. Run Chkdsk /f to determine if the file system is corrupt. If Windows 2000 can't run Chkdsk, move the drive to another computer running Windows 2000, and run the Chkdsk command on the drive from that computer.


Stop Error 0x0000007F

Stop error number: | (0x0000007F)
Descriptive text: | UNEXPECTED_KERNEL_MODE_TRAP
Usual cause: | Usually caused by hardware or software problems, but the most common cause is hardware failure.

To troubleshoot Stop error 0x0000007F

  1. Check the Microsoft Hardware Compatibility List to verify that all your hardware and drivers are compatible with Windows 2000. An incompatibility with the motherboard on the computer might be the cause of this problem.

    Microsoft Hardware Compatibility List Web site

  2. Remove any newly installed hardware (RAM, adapters, hard disks, modems, and so on).
  3. Run any system diagnostics supplied by your computer manufacturer, especially the memory check.
  4. Disable BIOS memory options such as caching or shadowing.


Stop Error 0x00000050

Stop error number: | (0x00000050)
Descriptive text: | PAGE_FAULT_IN_NONPAGED_AREA
Usual cause: | Memory error (data cannot be swapped out to disk using the paging file).

To troubleshoot Stop error 0x00000050

  1. Remove any newly installed hardware (RAM, adapters, hard disks, modems, and so on).
  2. Run any system diagnostics supplied by your computer manufacturer, especially the memory check.
  3. Verify that any new hardware or software is properly installed. If this is a new installation, contact your hardware or software manufacturer for any Windows 2000 updates or drivers you might need.
  4. If the computer is formatted with NTFS, restart your computer, and then run Chkdsk /f /r on the system partition. If you cannot start the system due to the error, use the Command Console and run Chkdsk /r.
  5. Disable or uninstall any antivirus programs.
  6. Disable BIOS memory options such as caching or shadowing.


Stop Error 0x00000077

Stop error number: | (0x00000077)
Descriptive text: | KERNEL_STACK_INPAGE_ERROR
Usual cause: | The requested page of kernel data from the paging file could not be read into memory.

To troubleshoot Stop error 0x00000077

  1. Using a current version of your virus-protection software, check for viruses on your computer. If you find a virus, perform the steps required to eliminate it from your computer. See your antivirus software documentation for these steps.
  2. If the computer is formatted with NTFS, restart your computer, and then run Chkdsk /f /r on the system partition. If you cannot start the system due to the error, use the Command Console and run Chkdsk /r.
  3. Run any system diagnostics supplied by your computer manufacturer, especially the memory check.
  4. Disable BIOS memory options such as caching or shadowing.


Stop Error 0x00000079

Stop error number: | (0x00000079)
Descriptive text: | MISMATCHED_HAL
Usual cause: | Hardware Abstraction Layer and the kernel or the machine type do not match (usually when single-processor and multiprocessor configuration files are mixed on the same system).

To troubleshoot Stop error 0x00000079

  • To resolve this error, use the Command Console to replace the incorrect system files on your computer.

    The kernel file Ntoskrnl.exe is for single-processor systems and Ntkrnlmp.exe is for multiprocessor systems. However, these filenames correspond to the file on the installation media; after Windows 2000 has been installed, the file is renamed to Ntoskrnl.exe, regardless of the source file used. The HAL file also uses the name Hal.dll after installation, but there are several possible HAL files on the installation media.


Stop Error 0x0000007A

Stop error number: | (0x0000007A)
Descriptive text: | KERNEL_DATA_INPAGE_ERROR
Usual cause: | The requested page of kernel data from the paging file could not be read into memory (usually due to a bad block in a paging file, a virus, a disk controller error, or failing RAM).

To troubleshoot Stop error 0x0000007A

  1. Using a current version of your virus-protection software, check for viruses on your computer. If you find a virus, perform the steps required to eliminate it from your computer. See your antivirus software documentation for these steps.
  2. If the computer is formatted with NTFS, restart your computer, and then run Chkdsk /f /r on the system partition. If you cannot start the system due to the error, use the Command Console and run Chkdsk /r.
  3. Run any system diagnostics supplied by your computer manufacturer, especially the memory check.


Stop Error 0xC000021A

Stop error number: | (0xC000021A)
Descriptive text: | STATUS_SYSTEM_PROCESS_TERMINATED
Usual cause: | The user mode subsystem, such as Winlogon or the Client Server Runtime Subsystem (CSRSS), is fatally compromised and security can no longer be guaranteed.

To troubleshoot Stop error 0xC000021A

  1. Remove any newly installed hardware (RAM, adapters, hard disks, modems, and so on).
  2. If you are unable to log on, restart your computer. When the list of available operating systems appears, press F8. On the Windows 2000 Advanced Options Menu screen, select Last Known Good Configuration, and then press ENTER.
  3. Run Recovery Console and allow the system to repair any errors that it detects.

For more information, see Starting and Recovering Your System in Chapter 5.


Stop Error 0xC0000221

Stop error number: | (0xC0000221)
Descriptive text: | STATUS_IMAGE_CHECKSUM_MISMATCH
Usual cause: | A driver or a system DLL has been corrupted.

To troubleshoot Stop error 0xC0000221

  1. If the computer is formatted with NTFS, restart your computer, and then run Chkdsk /f /r on the system partition. If you cannot start the system due to the error, use the Command Console and run Chkdsk /r.
  2. Run Recovery Console and allow the system to repair any errors that it detects.

    3. For more information, see Starting and Recovering Your System in Chapter 5.

  3. If the error occurred immediately after RAM was added to the computer, the paging file might be corrupted or the new RAM might be either faulty or incompatible. Delete the Pagefile.sys and return the system to the original RAM configuration.
  4. Run any system diagnostics supplied by your computer manufacturer, especially the memory check.


Troubleshooting Hardware Malfunction Messages

Like Stop errors, hardware malfunction messages are character-mode messages. They are caused when the processor detects a hardware condition. For example:

  • Hardware malfunction.

    • Call your hardware vendor for support.

The first one or two lines of the hardware malfunction message might differ, depending upon the hardware abstraction layer (HAL) that is loaded at startup. The HAL can determine how additional lines in each system's message differ in format and content.

Therefore, before doing what the hardware malfunction message recommends, contact a technician within your organization to run hardware diagnostics on your computer. The information provided after the first two lines in the message helps your technician decide which hardware diagnostics to run. For example, for Intel-based ISA bus computers, this information indicates whether it is a memory-parity error or a bus-data error. On Intel-based EISA computers, if the hardware problem is in an adapter, the adapter slot number on the system board is displayed.

Note

In many situations, hardware failures first manifest themselves as Stop errors. This is why troubleshooting many of the Stop messages includes running hardware diagnostics on the system.

Under rare circumstances, hardware malfunction messages can be generated by software bugs—specifically driver problems. For example, if a problematic driver writes to the wrong I/O port, the actual device at the targeted port might generate a hardware malfunction message.

If you need help from outside your organization to interpret the information on the screen, contact the hardware manufacturer for your specific brand of computer, adapter, or peripheral device.


Additional Troubleshooting Resources

The following resources can help you troubleshoot your computer:

  • For more information about Stop messages, visit the Microsoft Personal Support Online Web site at:

    Microsoft Product Support Services Web site

  • To download the latest Service Packs and hotfixes for Windows 2000 visit the Microsoft Windows Update Web site at:

    Microsoft Windows Update Web site

  • The file Ntstatus.h of the Windows 2000 Device Driver Kit (DDK) includes Windows 2000 status code definitions. To view this file, you must first download the DDK from:

    Microsoft Driver Development Kits Web site

  • Review the troubleshooting information in the Microsoft Windows 2000 Resource Kit. The Resource Kit also contains a Windows 2000 Error Messages HTML Help database file, where message explanations and recommended user actions for the most common Stop messages are listed. This file is located on the Windows 2000 Resource Kit companion CD. For more information about Stop errors and the Resource Kits, see the ResourceLink Web site at:

    Microsoft ResourceLink Web site


Printing This Book

You can easily print any chapter or appendix in this book. The printed page will be the same size as the right frame on your screen. Resize the right frame to adjust the printed size.

It's recommended that you print a copy of Chapter 5, since that chapter contains information for troubleshooting computer problems.

To print a chapter

  1. On the Contents tab, click the chapter or appendix you want to print.
  2. Click the Options button, and then click Print.
  3. In the Print Topics dialog box, click Print the selected heading and all subtopics. Click OK.
  4. In the Print dialog box, select the printing options you want, and click OK.

To print a single topic

  1. On the Contents tab, click the chapter and then click the topic you want to print.
  2. Click the Options button, click Print the selected topic, and click OK.


Search Tips

By using the Search tab in the left frame, you can search this book for words or combinations of words. The Search tab is useful when you're looking for instructions about something specific. For example, if you're setting up Windows from the DOS prompt, you can find helpful information if you search for topics that contain the words "setup" and "DOS."

Searching for a Word

To simply search for a word in the book, click the Search tab, type the word in the text box, and press ENTER. If the word occurs in the book, the titles of the appropriate topics appear in the box below. Click a title to view the topic in the right frame. The word for which you searched is highlighted.

Narrowing or Expanding Your Search

Searching for a single word is a very wide type of search—it can result in a large number of topics. You can limit your search, and the number of topic titles that result, by searching for different combinations of words. You can also increase the scope of your search. The following table lists the different types of searches, from widest to narrowest—from the greatest number of listed topics to the smallest number.

Search type | Example Search | When to Use
OR | setup or installation | When you want to search for topics that contain any one of a number of words. This search is especially useful if you're not sure which term has the information that you need.
NOT | backup not Windows | When you want a limited search for a single word. This search avoids topics in which that word is used with another specific word.
Single word | backup | When you want to search for all occurrences of a word
AND | backup and Windows | When you want to search for a combination of words.
NEAR | backup near Windows | When you want to search for a combination of words, but only when they're within eight words of one another.
Quotation marks | "Windows Backup" | When you want to search an exact phrase.

Additional Search Tips

  • You can combine search methods and further narrow your search. For example, you can search for:
    user near setup not "control panel"
  • You can limit your search even more with the options at the bottom of the Search tab.